# python version 1.0						DO NOT EDIT
#
# Generated by smidump version 0.4.8:
#
#   smidump -f python CISCO-ENVMON-MIB

FILENAME = "./CISCO-ENVMON-MIB.my"

MIB = {
    "moduleName" : "CISCO-ENVMON-MIB",

    "CISCO-ENVMON-MIB" : {
        "nodetype" : "module",
        "language" : "SMIv2",
        "organization" :    
            """Cisco Systems, Inc.""",
        "contact" : 
            """       Cisco Systems
Customer Service

Postal: 170 W Tasman Drive
San Jose, CA  95134
USA

Tel: +1 800 553-NETS

E-mail: cs-snmp@cisco.com""",
        "description" :
            """The MIB module to describe the status of the Environmental
Monitor on those devices which support one.""",
        "revisions" : (
            {
                "date" : "2003-12-01 00:00",
                "description" :
                    """Added c37xx (13) and other (14) as values for 
ciscoEnvMonPresent""",
            },
            {
                "date" : "2003-11-25 00:00",
                "description" :
                    """Added ciscoEnvMonMIBMiscNotifGroup.""",
            },
            {
                "date" : "2002-10-15 00:00",
                "description" :
                    """Added c7600(12) as values for ciscoEnvMonPresent""",
            },
            {
                "date" : "2002-07-17 00:00",
                "description" :
                    """Added optional groups ciscoEnvMonEnableStatChangeGroup
and ciscoEnvMonStatChangeNotifGroup.""",
            },
            {
                "date" : "2002-02-04 00:00",
                "description" :
                    """Added osr7600(11) as values 
for ciscoEnvMonPresent""",
            },
            {
                "date" : "2001-08-30 00:00",
                "description" :
                    """Added c10000(10) as values for ciscoEnvMonPresent""",
            },
            {
                "date" : "2001-08-16 00:00",
                "description" :
                    """Added cat4000(9) as values for ciscoEnvMonPresent""",
            },
            {
                "date" : "2001-05-07 00:00",
                "description" :
                    """Added cat6000(7),ubr7200(8) 
as values for ciscoEnvMonPresent""",
            },
            {
                "date" : "2000-01-31 00:00",
                "description" :
                    """Add notFunctioning to CiscoEnvMonState.""",
            },
            {
                "date" : "1998-10-22 00:00",
                "description" :
                    """Renamed enumerated value internalRPS(5) as 
internalRedundant(5) and added description for
ciscoEnvMonSupplySource enumerated values.""",
            },
            {
                "date" : "1998-08-05 00:00",
                "description" :
                    """Add enumerated value internalRPS(5) to 
ciscoEnvMonSupplySource.""",
            },
            {
                "date" : "1996-11-12 00:00",
                "description" :
                    """Add monitoring support for c3600 series router""",
            },
            {
                "date" : "1995-08-15 00:00",
                "description" :
                    """Specify a correct (non-negative) range for several
index objects.""",
            },
            {
                "date" : "1995-03-13 00:00",
                "description" :
                    """Miscellaneous changes including monitoring support
for c7000 series redundant power supplies.""",
            },
        ),
        "identity node" : "ciscoEnvMonMIB",
    },

    "imports" : (
        {"module" : "SNMPv2-SMI", "name" : "MODULE-IDENTITY"},
        {"module" : "SNMPv2-SMI", "name" : "OBJECT-TYPE"},
        {"module" : "SNMPv2-SMI", "name" : "NOTIFICATION-TYPE"},
        {"module" : "SNMPv2-SMI", "name" : "Gauge32"},
        {"module" : "SNMPv2-SMI", "name" : "Integer32"},
        {"module" : "SNMPv2-TC", "name" : "TEXTUAL-CONVENTION"},
        {"module" : "SNMPv2-TC", "name" : "DisplayString"},
        {"module" : "SNMPv2-TC", "name" : "TruthValue"},
        {"module" : "SNMPv2-CONF", "name" : "MODULE-COMPLIANCE"},
        {"module" : "SNMPv2-CONF", "name" : "OBJECT-GROUP"},
        {"module" : "SNMPv2-CONF", "name" : "NOTIFICATION-GROUP"},
        {"module" : "CISCO-SMI", "name" : "ciscoMgmt"},
    ),

    "typedefs" : {
        "CiscoEnvMonState" : {
            "basetype" : "Enumeration",
            "status" : "current",
            "normal" : {
                "nodetype" : "namednumber",
                "number" : "1"
            },
            "warning" : {
                "nodetype" : "namednumber",
                "number" : "2"
            },
            "critical" : {
                "nodetype" : "namednumber",
                "number" : "3"
            },
            "shutdown" : {
                "nodetype" : "namednumber",
                "number" : "4"
            },
            "notPresent" : {
                "nodetype" : "namednumber",
                "number" : "5"
            },
            "notFunctioning" : {
                "nodetype" : "namednumber",
                "number" : "6"
            },
            "description" :
                """Represents the state of a device being monitored.
Valid values are:

normal(1):         the environment is good, such as low
                   temperature.

warning(2):        the environment is bad, such as temperature
                   above normal operation range but not too
                   high.

critical(3):       the environment is very bad, such as
                   temperature much higher than normal
                   operation limit.

shutdown(4):       the environment is the worst, the system
                   should be shutdown immediately.

notPresent(5):     the environmental monitor is not present,
                   such as temperature sensors do not exist.

notFunctioning(6): the environmental monitor does not 
                   function properly, such as a temperature
                   sensor generates a abnormal data like
                   1000 C.""",
        },
        "CiscoSignedGauge" : {
            "basetype" : "Integer32",
            "status" : "current",
            "description" :
                """Represents the current value of an entity, as a signed 
integer.""",
        },
    }, # typedefs

    "nodes" : {
        "ciscoEnvMonMIB" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-ENVMON-MIB",
            "oid" : "1.3.6.1.4.1.9.9.13",
            "status" : "current",
        }, # node
        "ciscoEnvMonObjects" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-ENVMON-MIB",
            "oid" : "1.3.6.1.4.1.9.9.13.1",
        }, # node
        "ciscoEnvMonPresent" : {
            "nodetype" : "scalar",
            "moduleName" : "CISCO-ENVMON-MIB",
            "oid" : "1.3.6.1.4.1.9.9.13.1.1",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "oldAgs" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "ags" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "c7000" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                    "ci" : {
                        "nodetype" : "namednumber",
                        "number" : "4"
                    },
                    "cAccessMon" : {
                        "nodetype" : "namednumber",
                        "number" : "6"
                    },
                    "cat6000" : {
                        "nodetype" : "namednumber",
                        "number" : "7"
                    },
                    "ubr7200" : {
                        "nodetype" : "namednumber",
                        "number" : "8"
                    },
                    "cat4000" : {
                        "nodetype" : "namednumber",
                        "number" : "9"
                    },
                    "c10000" : {
                        "nodetype" : "namednumber",
                        "number" : "10"
                    },
                    "osr7600" : {
                        "nodetype" : "namednumber",
                        "number" : "11"
                    },
                    "c7600" : {
                        "nodetype" : "namednumber",
                        "number" : "12"
                    },
                    "c37xx" : {
                        "nodetype" : "namednumber",
                        "number" : "13"
                    },
                    "other" : {
                        "nodetype" : "namednumber",
                        "number" : "14"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The type of environmental monitor located in the chassis.
An oldAgs environmental monitor card is identical to an ags
environmental card except that it is not capable of supplying
data, and hence no instance of the remaining objects in this
MIB will be returned in response to an SNMP query.  Note that
only a firmware upgrade is required to convert an oldAgs into
an ags card.""",
        }, # scalar
        "ciscoEnvMonVoltageStatusTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-ENVMON-MIB",
            "oid" : "1.3.6.1.4.1.9.9.13.1.2",
            "status" : "current",
            "description" :
                """The table of voltage status maintained by the environmental
monitor.""",
        }, # table
        "ciscoEnvMonVoltageStatusEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-ENVMON-MIB",
            "oid" : "1.3.6.1.4.1.9.9.13.1.2.1",
            "status" : "current",
            "linkage" : [
                "ciscoEnvMonVoltageStatusIndex",
            ],
            "description" :
                """An entry in the voltage status table, representing the status
of the associated testpoint maintained by the environmental
monitor.""",
        }, # row
        "ciscoEnvMonVoltageStatusIndex" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENVMON-MIB",
            "oid" : "1.3.6.1.4.1.9.9.13.1.2.1.1",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "2147483647"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "2147483647"
                    },
                },
            },
            "access" : "noaccess",
            "description" :
                """Unique index for the testpoint being instrumented.
This index is for SNMP purposes only, and has no
intrinsic meaning.""",
        }, # column
        "ciscoEnvMonVoltageStatusDescr" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENVMON-MIB",
            "oid" : "1.3.6.1.4.1.9.9.13.1.2.1.2",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "OctetString",
                    "parent module" : {
                        "name" : "SNMPv2-TC",
                        "type" : "DisplayString",
                    },
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "32"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "32"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """Textual description of the testpoint being instrumented.
This description is a short textual label, suitable as a
human-sensible identification for the rest of the
information in the entry.""",
        }, # column
        "ciscoEnvMonVoltageStatusValue" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENVMON-MIB",
            "oid" : "1.3.6.1.4.1.9.9.13.1.2.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-ENVMON-MIB", "name" : "CiscoSignedGauge"},
            },
            "access" : "readonly",
            "units" : "millivolts",
            "description" :
                """The current measurement of the testpoint being instrumented.""",
        }, # column
        "ciscoEnvMonVoltageThresholdLow" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENVMON-MIB",
            "oid" : "1.3.6.1.4.1.9.9.13.1.2.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readonly",
            "units" : "millivolts",
            "description" :
                """The lowest value that the associated instance of the object
ciscoEnvMonVoltageStatusValue may obtain before an emergency
shutdown of the managed device is initiated.""",
        }, # column
        "ciscoEnvMonVoltageThresholdHigh" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENVMON-MIB",
            "oid" : "1.3.6.1.4.1.9.9.13.1.2.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readonly",
            "units" : "millivolts",
            "description" :
                """The highest value that the associated instance of the object
ciscoEnvMonVoltageStatusValue may obtain before an emergency
shutdown of the managed device is initiated.""",
        }, # column
        "ciscoEnvMonVoltageLastShutdown" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENVMON-MIB",
            "oid" : "1.3.6.1.4.1.9.9.13.1.2.1.6",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readonly",
            "units" : "millivolts",
            "description" :
                """The value of the associated instance of the object
ciscoEnvMonVoltageStatusValue at the time an emergency
shutdown of the managed device was last initiated.  This
value is stored in non-volatile RAM and hence is able to
survive the shutdown.""",
        }, # column
        "ciscoEnvMonVoltageState" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENVMON-MIB",
            "oid" : "1.3.6.1.4.1.9.9.13.1.2.1.7",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-ENVMON-MIB", "name" : "CiscoEnvMonState"},
            },
            "access" : "readonly",
            "description" :
                """The current state of the testpoint being instrumented.""",
        }, # column
        "ciscoEnvMonTemperatureStatusTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-ENVMON-MIB",
            "oid" : "1.3.6.1.4.1.9.9.13.1.3",
            "status" : "current",
            "description" :
                """The table of ambient temperature status maintained by the
environmental monitor.""",
        }, # table
        "ciscoEnvMonTemperatureStatusEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-ENVMON-MIB",
            "oid" : "1.3.6.1.4.1.9.9.13.1.3.1",
            "status" : "current",
            "linkage" : [
                "ciscoEnvMonTemperatureStatusIndex",
            ],
            "description" :
                """An entry in the ambient temperature status table, representing
the status of the associated testpoint maintained by the
environmental monitor.""",
        }, # row
        "ciscoEnvMonTemperatureStatusIndex" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENVMON-MIB",
            "oid" : "1.3.6.1.4.1.9.9.13.1.3.1.1",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "2147483647"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "2147483647"
                    },
                },
            },
            "access" : "noaccess",
            "description" :
                """Unique index for the testpoint being instrumented.
This index is for SNMP purposes only, and has no
intrinsic meaning.""",
        }, # column
        "ciscoEnvMonTemperatureStatusDescr" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENVMON-MIB",
            "oid" : "1.3.6.1.4.1.9.9.13.1.3.1.2",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "OctetString",
                    "parent module" : {
                        "name" : "SNMPv2-TC",
                        "type" : "DisplayString",
                    },
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "32"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "32"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """Textual description of the testpoint being instrumented.
This description is a short textual label, suitable as a
human-sensible identification for the rest of the
information in the entry.""",
        }, # column
        "ciscoEnvMonTemperatureStatusValue" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENVMON-MIB",
            "oid" : "1.3.6.1.4.1.9.9.13.1.3.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Gauge32"},
            },
            "access" : "readonly",
            "units" : "degrees Celsius",
            "description" :
                """The current measurement of the testpoint being instrumented.""",
        }, # column
        "ciscoEnvMonTemperatureThreshold" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENVMON-MIB",
            "oid" : "1.3.6.1.4.1.9.9.13.1.3.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readonly",
            "units" : "degrees Celsius",
            "description" :
                """The highest value that the associated instance of the
object ciscoEnvMonTemperatureStatusValue may obtain
before an emergency shutdown of the managed device is
initiated.""",
        }, # column
        "ciscoEnvMonTemperatureLastShutdown" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENVMON-MIB",
            "oid" : "1.3.6.1.4.1.9.9.13.1.3.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readonly",
            "units" : "degrees Celsius",
            "description" :
                """The value of the associated instance of the object
ciscoEnvMonTemperatureStatusValue at the time an emergency
shutdown of the managed device was last initiated.  This
value is stored in non-volatile RAM and hence is able to
survive the shutdown.""",
        }, # column
        "ciscoEnvMonTemperatureState" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENVMON-MIB",
            "oid" : "1.3.6.1.4.1.9.9.13.1.3.1.6",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-ENVMON-MIB", "name" : "CiscoEnvMonState"},
            },
            "access" : "readonly",
            "description" :
                """The current state of the testpoint being instrumented.""",
        }, # column
        "ciscoEnvMonFanStatusTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-ENVMON-MIB",
            "oid" : "1.3.6.1.4.1.9.9.13.1.4",
            "status" : "current",
            "description" :
                """The table of fan status maintained by the environmental
monitor.""",
        }, # table
        "ciscoEnvMonFanStatusEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-ENVMON-MIB",
            "oid" : "1.3.6.1.4.1.9.9.13.1.4.1",
            "status" : "current",
            "linkage" : [
                "ciscoEnvMonFanStatusIndex",
            ],
            "description" :
                """An entry in the fan status table, representing the status of
the associated fan maintained by the environmental monitor.""",
        }, # row
        "ciscoEnvMonFanStatusIndex" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENVMON-MIB",
            "oid" : "1.3.6.1.4.1.9.9.13.1.4.1.1",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "2147483647"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "2147483647"
                    },
                },
            },
            "access" : "noaccess",
            "description" :
                """Unique index for the fan being instrumented.
This index is for SNMP purposes only, and has no
intrinsic meaning.""",
        }, # column
        "ciscoEnvMonFanStatusDescr" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENVMON-MIB",
            "oid" : "1.3.6.1.4.1.9.9.13.1.4.1.2",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "OctetString",
                    "parent module" : {
                        "name" : "SNMPv2-TC",
                        "type" : "DisplayString",
                    },
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "32"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "32"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """Textual description of the fan being instrumented.
This description is a short textual label, suitable as a
human-sensible identification for the rest of the
information in the entry.""",
        }, # column
        "ciscoEnvMonFanState" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENVMON-MIB",
            "oid" : "1.3.6.1.4.1.9.9.13.1.4.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-ENVMON-MIB", "name" : "CiscoEnvMonState"},
            },
            "access" : "readonly",
            "description" :
                """The current state of the fan being instrumented.""",
        }, # column
        "ciscoEnvMonSupplyStatusTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-ENVMON-MIB",
            "oid" : "1.3.6.1.4.1.9.9.13.1.5",
            "status" : "current",
            "description" :
                """The table of power supply status maintained by the
environmental monitor card.""",
        }, # table
        "ciscoEnvMonSupplyStatusEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-ENVMON-MIB",
            "oid" : "1.3.6.1.4.1.9.9.13.1.5.1",
            "status" : "current",
            "linkage" : [
                "ciscoEnvMonSupplyStatusIndex",
            ],
            "description" :
                """An entry in the power supply status table, representing the
status of the associated power supply maintained by the
environmental monitor card.""",
        }, # row
        "ciscoEnvMonSupplyStatusIndex" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENVMON-MIB",
            "oid" : "1.3.6.1.4.1.9.9.13.1.5.1.1",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "2147483647"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "2147483647"
                    },
                },
            },
            "access" : "noaccess",
            "description" :
                """Unique index for the power supply being instrumented.
This index is for SNMP purposes only, and has no
intrinsic meaning.""",
        }, # column
        "ciscoEnvMonSupplyStatusDescr" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENVMON-MIB",
            "oid" : "1.3.6.1.4.1.9.9.13.1.5.1.2",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "OctetString",
                    "parent module" : {
                        "name" : "SNMPv2-TC",
                        "type" : "DisplayString",
                    },
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "32"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "32"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """Textual description of the power supply being instrumented.
This description is a short textual label, suitable as a
human-sensible identification for the rest of the
information in the entry.""",
        }, # column
        "ciscoEnvMonSupplyState" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENVMON-MIB",
            "oid" : "1.3.6.1.4.1.9.9.13.1.5.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-ENVMON-MIB", "name" : "CiscoEnvMonState"},
            },
            "access" : "readonly",
            "description" :
                """The current state of the power supply being instrumented.""",
        }, # column
        "ciscoEnvMonSupplySource" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENVMON-MIB",
            "oid" : "1.3.6.1.4.1.9.9.13.1.5.1.4",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "unknown" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "ac" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "dc" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                    "externalPowerSupply" : {
                        "nodetype" : "namednumber",
                        "number" : "4"
                    },
                    "internalRedundant" : {
                        "nodetype" : "namednumber",
                        "number" : "5"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The power supply source.
unknown - Power supply source unknown
ac      - AC power supply
dc      - DC power supply
externalPowerSupply - External power supply
internalRedundant - Internal redundant power supply """,
        }, # column
        "ciscoEnvMonAlarmContacts" : {
            "nodetype" : "scalar",
            "moduleName" : "CISCO-ENVMON-MIB",
            "oid" : "1.3.6.1.4.1.9.9.13.1.6",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Bits",
                    "minorVisual" : {
                        "nodetype" : "namednumber",
                        "number" : "0"
                    },
                    "majorVisual" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "criticalVisual" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "minorAudible" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                    "majorAudible" : {
                        "nodetype" : "namednumber",
                        "number" : "4"
                    },
                    "criticalAudible" : {
                        "nodetype" : "namednumber",
                        "number" : "5"
                    },
                    "input" : {
                        "nodetype" : "namednumber",
                        "number" : "6"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """Each bit is set to reflect the respective
alarm being set.  The bit will be cleared
when the respective alarm is cleared.""",
        }, # scalar
        "ciscoEnvMonMIBNotificationEnables" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-ENVMON-MIB",
            "oid" : "1.3.6.1.4.1.9.9.13.2",
        }, # node
        "ciscoEnvMonEnableShutdownNotification" : {
            "nodetype" : "scalar",
            "moduleName" : "CISCO-ENVMON-MIB",
            "oid" : "1.3.6.1.4.1.9.9.13.2.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TruthValue"},
            },
            "access" : "readwrite",
            "default" : "false",
            "description" :
                """This variable  indicates  whether  the  system
produces the ciscoEnvMonShutdownNotification.  A false 
value will prevent shutdown notifications 
from being generated by this system.""",
        }, # scalar
        "ciscoEnvMonEnableVoltageNotification" : {
            "nodetype" : "scalar",
            "moduleName" : "CISCO-ENVMON-MIB",
            "oid" : "1.3.6.1.4.1.9.9.13.2.2",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TruthValue"},
            },
            "access" : "readwrite",
            "default" : "false",
            "description" :
                """This variable  indicates  whether  the  system
produces the ciscoEnvMonVoltageNotification. A false 
value will prevent voltage notifications from being 
generated by this system. This object is deprecated
in favour of ciscoEnvMonEnableStatChangeNotif.""",
        }, # scalar
        "ciscoEnvMonEnableTemperatureNotification" : {
            "nodetype" : "scalar",
            "moduleName" : "CISCO-ENVMON-MIB",
            "oid" : "1.3.6.1.4.1.9.9.13.2.3",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TruthValue"},
            },
            "access" : "readwrite",
            "default" : "false",
            "description" :
                """This variable  indicates  whether  the  system
produces the ciscoEnvMonTemperatureNotification.
A false value prevents temperature notifications 
from being sent by  this entity. This object is 
deprecated in favour of 
ciscoEnvMonEnableStatChangeNotif.""",
        }, # scalar
        "ciscoEnvMonEnableFanNotification" : {
            "nodetype" : "scalar",
            "moduleName" : "CISCO-ENVMON-MIB",
            "oid" : "1.3.6.1.4.1.9.9.13.2.4",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TruthValue"},
            },
            "access" : "readwrite",
            "default" : "false",
            "description" :
                """This variable  indicates  whether  the  system
produces the ciscoEnvMonFanNotification.
A false value prevents fan notifications 
from being sent by  this entity. This object is 
deprecated in favour of 
ciscoEnvMonEnableStatChangeNotif.""",
        }, # scalar
        "ciscoEnvMonEnableRedundantSupplyNotification" : {
            "nodetype" : "scalar",
            "moduleName" : "CISCO-ENVMON-MIB",
            "oid" : "1.3.6.1.4.1.9.9.13.2.5",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TruthValue"},
            },
            "access" : "readwrite",
            "default" : "false",
            "description" :
                """This variable  indicates  whether  the  system
produces the ciscoEnvMonRedundantSupplyNotification. 
A false value prevents redundant supply notifications
from being generated by this system. This object is
deprecated in favour of 
ciscoEnvMonEnableStatChangeNotif.""",
        }, # scalar
        "ciscoEnvMonEnableStatChangeNotif" : {
            "nodetype" : "scalar",
            "moduleName" : "CISCO-ENVMON-MIB",
            "oid" : "1.3.6.1.4.1.9.9.13.2.6",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TruthValue"},
            },
            "access" : "readwrite",
            "default" : "false",
            "description" :
                """This variable indicates whether the system
produces the ciscoEnvMonVoltStatusChangeNotif,
ciscoEnvMonTempStatusChangeNotif, 
ciscoEnvMonFanStatusChangeNotif and  
ciscoEnvMonSuppStatusChangeNotif. A false value will 
prevent these notifications from being generated by 
this system.""",
        }, # scalar
        "ciscoEnvMonMIBNotificationPrefix" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-ENVMON-MIB",
            "oid" : "1.3.6.1.4.1.9.9.13.3",
        }, # node
        "ciscoEnvMonMIBNotifications" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-ENVMON-MIB",
            "oid" : "1.3.6.1.4.1.9.9.13.3.0",
        }, # node
        "ciscoEnvMonMIBConformance" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-ENVMON-MIB",
            "oid" : "1.3.6.1.4.1.9.9.13.4",
        }, # node
        "ciscoEnvMonMIBCompliances" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-ENVMON-MIB",
            "oid" : "1.3.6.1.4.1.9.9.13.4.1",
        }, # node
        "ciscoEnvMonMIBGroups" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-ENVMON-MIB",
            "oid" : "1.3.6.1.4.1.9.9.13.4.2",
        }, # node
    }, # nodes

    "notifications" : {
        "ciscoEnvMonShutdownNotification" : {
            "nodetype" : "notification",
            "moduleName" : "CISCO-ENVMON-MIB",
            "oid" : "1.3.6.1.4.1.9.9.13.3.0.1",
            "status" : "current",
            "objects" : {
            },
            "description" :
                """A ciscoEnvMonShutdownNotification is sent if the environmental
monitor detects a testpoint reaching a critical state
and is about to initiate a shutdown.  This notification 
contains no objects so that it may be encoded and sent in the
shortest amount of time possible.  Even so, management
applications should not rely on receiving such a notification
as it may not be sent before the shutdown completes.""",
        }, # notification
        "ciscoEnvMonVoltageNotification" : {
            "nodetype" : "notification",
            "moduleName" : "CISCO-ENVMON-MIB",
            "oid" : "1.3.6.1.4.1.9.9.13.3.0.2",
            "status" : "deprecated",
            "objects" : {
                "ciscoEnvMonVoltageStatusDescr" : {
                    "nodetype" : "object",
                    "module" : "CISCO-ENVMON-MIB"
                },
                "ciscoEnvMonVoltageStatusValue" : {
                    "nodetype" : "object",
                    "module" : "CISCO-ENVMON-MIB"
                },
                "ciscoEnvMonVoltageState" : {
                    "nodetype" : "object",
                    "module" : "CISCO-ENVMON-MIB"
                },
            },
            "description" :
                """A ciscoEnvMonVoltageNotification is sent if the voltage 
measured at a given testpoint is outside the normal range 
for the testpoint (i.e. is at the warning, critical, or
shutdown stage).  Since such a notification is usually 
generated before the shutdown state is reached, it can 
convey more data and has a better chance of being sent 
than does the ciscoEnvMonShutdownNotification.
This notification is deprecated in favour of
ciscoEnvMonVoltStatusChangeNotif.""",
        }, # notification
        "ciscoEnvMonTemperatureNotification" : {
            "nodetype" : "notification",
            "moduleName" : "CISCO-ENVMON-MIB",
            "oid" : "1.3.6.1.4.1.9.9.13.3.0.3",
            "status" : "deprecated",
            "objects" : {
                "ciscoEnvMonTemperatureStatusDescr" : {
                    "nodetype" : "object",
                    "module" : "CISCO-ENVMON-MIB"
                },
                "ciscoEnvMonTemperatureStatusValue" : {
                    "nodetype" : "object",
                    "module" : "CISCO-ENVMON-MIB"
                },
                "ciscoEnvMonTemperatureState" : {
                    "nodetype" : "object",
                    "module" : "CISCO-ENVMON-MIB"
                },
            },
            "description" :
                """A ciscoEnvMonTemperatureNotification is sent if the 
temperature measured at a given testpoint is outside 
the normal range for the testpoint (i.e. is at the warning, 
critical, or shutdown stage).  Since such a Notification 
is usually generated before the shutdown state is reached,
it can convey more data and has a better chance of being
sent than does the ciscoEnvMonShutdownNotification.
This notification is deprecated in favour of 
ciscoEnvMonTempStatusChangeNotif.""",
        }, # notification
        "ciscoEnvMonFanNotification" : {
            "nodetype" : "notification",
            "moduleName" : "CISCO-ENVMON-MIB",
            "oid" : "1.3.6.1.4.1.9.9.13.3.0.4",
            "status" : "deprecated",
            "objects" : {
                "ciscoEnvMonFanStatusDescr" : {
                    "nodetype" : "object",
                    "module" : "CISCO-ENVMON-MIB"
                },
                "ciscoEnvMonFanState" : {
                    "nodetype" : "object",
                    "module" : "CISCO-ENVMON-MIB"
                },
            },
            "description" :
                """A ciscoEnvMonFanNotification is sent if any one of
the fans in the fan array (where extant) fails. 
Since such a notification is usually generated before 
the shutdown state is reached, it can convey more 
data and has a better chance of being sent
than does the ciscoEnvMonShutdownNotification.
This notification is deprecated in favour of
ciscoEnvMonFanStatusChangeNotif.""",
        }, # notification
        "ciscoEnvMonRedundantSupplyNotification" : {
            "nodetype" : "notification",
            "moduleName" : "CISCO-ENVMON-MIB",
            "oid" : "1.3.6.1.4.1.9.9.13.3.0.5",
            "status" : "deprecated",
            "objects" : {
                "ciscoEnvMonSupplyStatusDescr" : {
                    "nodetype" : "object",
                    "module" : "CISCO-ENVMON-MIB"
                },
                "ciscoEnvMonSupplyState" : {
                    "nodetype" : "object",
                    "module" : "CISCO-ENVMON-MIB"
                },
            },
            "description" :
                """A ciscoEnvMonRedundantSupplyNotification is sent if
the redundant power supply (where extant) fails. 
Since such a notification is usually generated before 
the shutdown state is reached, it can convey more 
data and has a better chance of being sent
than does the ciscoEnvMonShutdownNotification.
This notification is deprecated in favour of 
ciscoEnvMonSuppStatusChangeNotif.""",
        }, # notification
        "ciscoEnvMonVoltStatusChangeNotif" : {
            "nodetype" : "notification",
            "moduleName" : "CISCO-ENVMON-MIB",
            "oid" : "1.3.6.1.4.1.9.9.13.3.0.6",
            "status" : "current",
            "objects" : {
                "ciscoEnvMonVoltageStatusDescr" : {
                    "nodetype" : "object",
                    "module" : "CISCO-ENVMON-MIB"
                },
                "ciscoEnvMonVoltageStatusValue" : {
                    "nodetype" : "object",
                    "module" : "CISCO-ENVMON-MIB"
                },
                "ciscoEnvMonVoltageState" : {
                    "nodetype" : "object",
                    "module" : "CISCO-ENVMON-MIB"
                },
            },
            "description" :
                """A ciscoEnvMonVoltStatusChangeNotif is sent if there is 
change in the state of a device being monitored
by ciscoEnvMonVoltageState.""",
        }, # notification
        "ciscoEnvMonTempStatusChangeNotif" : {
            "nodetype" : "notification",
            "moduleName" : "CISCO-ENVMON-MIB",
            "oid" : "1.3.6.1.4.1.9.9.13.3.0.7",
            "status" : "current",
            "objects" : {
                "ciscoEnvMonTemperatureStatusDescr" : {
                    "nodetype" : "object",
                    "module" : "CISCO-ENVMON-MIB"
                },
                "ciscoEnvMonTemperatureStatusValue" : {
                    "nodetype" : "object",
                    "module" : "CISCO-ENVMON-MIB"
                },
                "ciscoEnvMonTemperatureState" : {
                    "nodetype" : "object",
                    "module" : "CISCO-ENVMON-MIB"
                },
            },
            "description" :
                """A ciscoEnvMonTempStatusChangeNotif is sent if there 
is change in the state of a device being monitored
by ciscoEnvMonTemperatureState.""",
        }, # notification
        "ciscoEnvMonFanStatusChangeNotif" : {
            "nodetype" : "notification",
            "moduleName" : "CISCO-ENVMON-MIB",
            "oid" : "1.3.6.1.4.1.9.9.13.3.0.8",
            "status" : "current",
            "objects" : {
                "ciscoEnvMonFanStatusDescr" : {
                    "nodetype" : "object",
                    "module" : "CISCO-ENVMON-MIB"
                },
                "ciscoEnvMonFanState" : {
                    "nodetype" : "object",
                    "module" : "CISCO-ENVMON-MIB"
                },
            },
            "description" :
                """A ciscoEnvMonFanStatusChangeNotif is sent if there 
is change in the state of a device being monitored
by ciscoEnvMonFanState.""",
        }, # notification
        "ciscoEnvMonSuppStatusChangeNotif" : {
            "nodetype" : "notification",
            "moduleName" : "CISCO-ENVMON-MIB",
            "oid" : "1.3.6.1.4.1.9.9.13.3.0.9",
            "status" : "current",
            "objects" : {
                "ciscoEnvMonSupplyStatusDescr" : {
                    "nodetype" : "object",
                    "module" : "CISCO-ENVMON-MIB"
                },
                "ciscoEnvMonSupplyState" : {
                    "nodetype" : "object",
                    "module" : "CISCO-ENVMON-MIB"
                },
            },
            "description" :
                """A ciscoEnvMonSupplyStatChangeNotif is sent if there 
is change in the state of a device being monitored
by ciscoEnvMonSupplyState.""",
        }, # notification
    }, # notifications

    "groups" : {
        "ciscoEnvMonMIBGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-ENVMON-MIB",
            "oid" : "1.3.6.1.4.1.9.9.13.4.2.1",
            "status" : "deprecated",
            "members" : {
                "ciscoEnvMonPresent" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENVMON-MIB"
                },
                "ciscoEnvMonVoltageStatusDescr" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENVMON-MIB"
                },
                "ciscoEnvMonVoltageStatusValue" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENVMON-MIB"
                },
                "ciscoEnvMonVoltageThresholdLow" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENVMON-MIB"
                },
                "ciscoEnvMonVoltageThresholdHigh" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENVMON-MIB"
                },
                "ciscoEnvMonVoltageLastShutdown" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENVMON-MIB"
                },
                "ciscoEnvMonVoltageState" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENVMON-MIB"
                },
                "ciscoEnvMonTemperatureStatusDescr" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENVMON-MIB"
                },
                "ciscoEnvMonTemperatureStatusValue" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENVMON-MIB"
                },
                "ciscoEnvMonTemperatureThreshold" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENVMON-MIB"
                },
                "ciscoEnvMonTemperatureLastShutdown" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENVMON-MIB"
                },
                "ciscoEnvMonTemperatureState" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENVMON-MIB"
                },
                "ciscoEnvMonFanStatusDescr" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENVMON-MIB"
                },
                "ciscoEnvMonFanState" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENVMON-MIB"
                },
                "ciscoEnvMonSupplyStatusDescr" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENVMON-MIB"
                },
                "ciscoEnvMonSupplyState" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENVMON-MIB"
                },
                "ciscoEnvMonSupplySource" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENVMON-MIB"
                },
                "ciscoEnvMonAlarmContacts" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENVMON-MIB"
                },
                "ciscoEnvMonEnableShutdownNotification" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENVMON-MIB"
                },
                "ciscoEnvMonEnableVoltageNotification" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENVMON-MIB"
                },
                "ciscoEnvMonEnableTemperatureNotification" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENVMON-MIB"
                },
                "ciscoEnvMonEnableFanNotification" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENVMON-MIB"
                },
                "ciscoEnvMonEnableRedundantSupplyNotification" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENVMON-MIB"
                },
            }, # members
            "description" :
                """A collection of objects providing environmental 
monitoring capability to a cisco chassis. This group 
is deprecated in favour of ciscoEnvMonMIBGroupRev.""",
        }, # group
        "ciscoEnvMonMIBGroupRev" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-ENVMON-MIB",
            "oid" : "1.3.6.1.4.1.9.9.13.4.2.2",
            "status" : "current",
            "members" : {
                "ciscoEnvMonPresent" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENVMON-MIB"
                },
                "ciscoEnvMonVoltageStatusDescr" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENVMON-MIB"
                },
                "ciscoEnvMonVoltageStatusValue" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENVMON-MIB"
                },
                "ciscoEnvMonVoltageThresholdLow" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENVMON-MIB"
                },
                "ciscoEnvMonVoltageThresholdHigh" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENVMON-MIB"
                },
                "ciscoEnvMonVoltageLastShutdown" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENVMON-MIB"
                },
                "ciscoEnvMonVoltageState" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENVMON-MIB"
                },
                "ciscoEnvMonTemperatureStatusDescr" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENVMON-MIB"
                },
                "ciscoEnvMonTemperatureStatusValue" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENVMON-MIB"
                },
                "ciscoEnvMonTemperatureThreshold" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENVMON-MIB"
                },
                "ciscoEnvMonTemperatureLastShutdown" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENVMON-MIB"
                },
                "ciscoEnvMonTemperatureState" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENVMON-MIB"
                },
                "ciscoEnvMonFanStatusDescr" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENVMON-MIB"
                },
                "ciscoEnvMonFanState" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENVMON-MIB"
                },
                "ciscoEnvMonSupplyStatusDescr" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENVMON-MIB"
                },
                "ciscoEnvMonSupplyState" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENVMON-MIB"
                },
                "ciscoEnvMonSupplySource" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENVMON-MIB"
                },
                "ciscoEnvMonAlarmContacts" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENVMON-MIB"
                },
                "ciscoEnvMonEnableShutdownNotification" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENVMON-MIB"
                },
            }, # members
            "description" :
                """A collection of objects providing environmental 
monitoring capability to a cisco chassis.""",
        }, # group
        "ciscoEnvMonEnableStatChangeGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-ENVMON-MIB",
            "oid" : "1.3.6.1.4.1.9.9.13.4.2.3",
            "status" : "current",
            "members" : {
                "ciscoEnvMonEnableStatChangeNotif" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENVMON-MIB"
                },
            }, # members
            "description" :
                """A collection of objects providing enabling/disabling
of the status change notifications for environmental 
monitoring.""",
        }, # group
        "ciscoEnvMonMIBNotifGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-ENVMON-MIB",
            "oid" : "1.3.6.1.4.1.9.9.13.4.2.4",
            "status" : "current",
            "members" : {
                "ciscoEnvMonShutdownNotification" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENVMON-MIB"
                },
            }, # members
            "description" :
                """A notification group providing shutdown notification
for environmental monitoring. """,
        }, # group
        "ciscoEnvMonStatChangeNotifGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-ENVMON-MIB",
            "oid" : "1.3.6.1.4.1.9.9.13.4.2.5",
            "status" : "current",
            "members" : {
                "ciscoEnvMonVoltStatusChangeNotif" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENVMON-MIB"
                },
                "ciscoEnvMonTempStatusChangeNotif" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENVMON-MIB"
                },
                "ciscoEnvMonFanStatusChangeNotif" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENVMON-MIB"
                },
                "ciscoEnvMonSuppStatusChangeNotif" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENVMON-MIB"
                },
            }, # members
            "description" :
                """A collection of notifications providing the status 
change for environmental monitoring.""",
        }, # group
        "ciscoEnvMonMIBMiscNotifGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-ENVMON-MIB",
            "oid" : "1.3.6.1.4.1.9.9.13.4.2.6",
            "status" : "deprecated",
            "members" : {
                "ciscoEnvMonVoltageNotification" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENVMON-MIB"
                },
                "ciscoEnvMonTemperatureNotification" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENVMON-MIB"
                },
                "ciscoEnvMonFanNotification" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENVMON-MIB"
                },
                "ciscoEnvMonRedundantSupplyNotification" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENVMON-MIB"
                },
            }, # members
            "description" :
                """A collection of various notifications for the 
enviromental monitoring mib module. The notifications
the group and the group are both in deprecated state.
The notifications in the group were deprecated in 
favour of notifications in
ciscoEnvMonStatChangeNotifGroup.""",
        }, # group
    }, # groups

    "compliances" : {
        "ciscoEnvMonMIBCompliance" : {
            "nodetype" : "compliance",
            "moduleName" : "CISCO-ENVMON-MIB",
            "oid" : "1.3.6.1.4.1.9.9.13.4.1.1",
            "status" : "deprecated",
            "description" :
                """The compliance statement for entities which implement
the Cisco Environmental Monitor MIB. This is
deprecated and new compliance
ciscoEnvMonMIBComplianceRev1 is added.""",
            "requires" : {
                "ciscoEnvMonMIBGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "CISCO-ENVMON-MIB"
                },
            }, # requires
        }, # compliance
        "ciscoEnvMonMIBComplianceRev1" : {
            "nodetype" : "compliance",
            "moduleName" : "CISCO-ENVMON-MIB",
            "oid" : "1.3.6.1.4.1.9.9.13.4.1.2",
            "status" : "current",
            "description" :
                """The compliance statement for entities which implement
the Cisco Environmental Monitor MIB.""",
            "requires" : {
                "ciscoEnvMonMIBGroupRev" : {
                    "nodetype" : "mandatory",
                    "module" : "CISCO-ENVMON-MIB"
                },
                "ciscoEnvMonMIBNotifGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "CISCO-ENVMON-MIB"
                },
                "ciscoEnvMonEnableStatChangeGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENVMON-MIB",
                    "description" :
                        """The ciscoEnvMonEnableStatChangeGroup is optional. 
This group is applicable for implementations which
need status change notifications for environmental
monitoring.""",
                },
                "ciscoEnvMonStatChangeNotifGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENVMON-MIB",
                    "description" :
                        """The ciscoEnvMonStatChangeNotifGroup is optional. 
This group is applicable for implementations which
need status change notifications for environmental
monitoring.""",
                },
            }, # requires
        }, # compliance
    }, # compliances

}
