# python version 1.0						DO NOT EDIT
#
# Generated by smidump version 0.4.8:
#
#   smidump -f python CISCO-VLAN-IFTABLE-RELATIONSHIP-MIB

FILENAME = "/home/mvold/mibs/v2/CISCO-VLAN-IFTABLE-RELATIONSHIP-MIB.my"

MIB = {
    "moduleName" : "CISCO-VLAN-IFTABLE-RELATIONSHIP-MIB",

    "CISCO-VLAN-IFTABLE-RELATIONSHIP-MIB" : {
        "nodetype" : "module",
        "language" : "SMIv2",
        "organization" :    
            """Cisco Systems, Inc.""",
        "contact" : 
            """Cisco Systems
Customer Service

Postal: 170 W Tasman Drive
        San Jose, CA  95134
        USA

Tel: +1 800 553-NETS

E-mail: cs-snmp@cisco.com""",
        "description" :
            """Cisco VLAN ifTable Relationship MIB lists VLAN-id and ifIndex 
information for routed VLAN interfaces.  

A routed VLAN interface is the router interface or sub-interface 
to which the router's IP address on the VLAN is attached.  
For example, an ISL, SDE, or 802.1Q encapsulated
subinterface, or Switched Virtual Interface (SVI).""",
        "revisions" : (
            {
                "date" : "1999-04-01 05:30",
                "description" :
                    """[Revision added by libsmi due to a LAST-UPDATED clause.]""",
            },
        ),
        "identity node" : "ciscoVlanIfTableRelationshipMIB",
    },

    "imports" : (
        {"module" : "SNMPv2-SMI", "name" : "MODULE-IDENTITY"},
        {"module" : "SNMPv2-SMI", "name" : "OBJECT-TYPE"},
        {"module" : "SNMPv2-CONF", "name" : "MODULE-COMPLIANCE"},
        {"module" : "SNMPv2-CONF", "name" : "OBJECT-GROUP"},
        {"module" : "CISCO-SMI", "name" : "ciscoMgmt"},
        {"module" : "CISCO-TC", "name" : "InterfaceIndexOrZero"},
        {"module" : "IF-MIB", "name" : "InterfaceIndex"},
        {"module" : "CISCO-VTP-MIB", "name" : "VlanIndex"},
    ),

    "nodes" : {
        "ciscoVlanIfTableRelationshipMIB" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-VLAN-IFTABLE-RELATIONSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.128",
            "status" : "current",
        }, # node
        "cviMIBObjects" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-VLAN-IFTABLE-RELATIONSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.128.1",
        }, # node
        "cviGlobals" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-VLAN-IFTABLE-RELATIONSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.128.1.1",
        }, # node
        "cviVlanInterfaceIndexTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-VLAN-IFTABLE-RELATIONSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.128.1.1.1",
            "status" : "current",
            "description" :
                """The cviVlanInterfaceIndexTable provides a way to 
translate a VLAN-id in to an ifIndex, so that 
the routed VLAN interface's routing configuration 
can be obtained from interface entry in ipRouteTable.

Note that some routers can have interfaces to multiple
VLAN management domains, and therefore can have multiple 
routed VLAN interfaces which connect to different VLANs 
having the same VLAN-id.  Thus, it is possible to have 
multiple rows in this table for the same VLAN-id.

The cviVlanInterfaceIndexTable also provides a way
to find the VLAN-id from an ifTable VLAN's ifIndex.""",
        }, # table
        "cviVlanInterfaceIndexEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-VLAN-IFTABLE-RELATIONSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.128.1.1.1.1",
            "status" : "current",
            "linkage" : [
                "cviVlanId",
                "cviPhysicalIfIndex",
            ],
            "description" :
                """Each entry represents a routed VLAN interface, its
corresponding physical port if any, and the ifTable entry
for the routed VLAN interface.

Entries are created by the agent when the routed VLAN interface
is created.  Operational status of routing does not affect
the entries listed here.  For routing configuration please refer
to ipRouteTable.

Entries are deleted by the agent when the routed VLAN interface
is removed from the system configuration.""",
        }, # row
        "cviVlanId" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-VLAN-IFTABLE-RELATIONSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.128.1.1.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-VTP-MIB", "name" : "VlanIndex"},
            },
            "access" : "noaccess",
            "description" :
                """The VLAN-id number of the routed VLAN interface.""",
        }, # column
        "cviPhysicalIfIndex" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-VLAN-IFTABLE-RELATIONSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.128.1.1.1.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-TC", "name" : "InterfaceIndexOrZero"},
            },
            "access" : "noaccess",
            "description" :
                """For subinterfaces, this object is the ifIndex of the 
physical interface for the subinterface.

For Switch Virtual Interfaces (SVIs), this object is zero.""",
        }, # column
        "cviRoutedVlanIfIndex" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-VLAN-IFTABLE-RELATIONSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.128.1.1.1.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"IF-MIB", "name" : "InterfaceIndex"},
            },
            "access" : "readonly",
            "description" :
                """The index for the ifTable entry associated with 
this routed VLAN interface.""",
        }, # column
        "cviMIBConformance" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-VLAN-IFTABLE-RELATIONSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.128.1.3",
        }, # node
        "cviMIBCompliances" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-VLAN-IFTABLE-RELATIONSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.128.1.3.1",
        }, # node
        "cviMIBGroups" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-VLAN-IFTABLE-RELATIONSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.128.1.3.2",
        }, # node
    }, # nodes

    "groups" : {
        "cviMIBGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-VLAN-IFTABLE-RELATIONSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.128.1.3.2.1",
            "status" : "current",
            "members" : {
                "cviRoutedVlanIfIndex" : {
                    "nodetype" : "member",
                    "module" : "CISCO-VLAN-IFTABLE-RELATIONSHIP-MIB"
                },
            }, # members
            "description" :
                """A set of objects to obtain VLAN-ID and ifIndex
information for routed VLAN interfaces.""",
        }, # group
    }, # groups

    "compliances" : {
        "cviMIBCompliance" : {
            "nodetype" : "compliance",
            "moduleName" : "CISCO-VLAN-IFTABLE-RELATIONSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.128.1.3.1.1",
            "status" : "current",
            "description" :
                """The compliance statement for entities which implement
the CISCO-VLAN-INTERFACE-MIB""",
            "requires" : {
                "cviMIBGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "CISCO-VLAN-IFTABLE-RELATIONSHIP-MIB"
                },
            }, # requires
        }, # compliance
    }, # compliances

}
