# python version 1.0						DO NOT EDIT
#
# Generated by smidump version 0.4.8:
#
#   smidump -f python EXTREME-VLAN-MIB

FILENAME = "/home/mvold/mibs/v2/extreme.mib"

MIB = {
    "moduleName" : "EXTREME-VLAN-MIB",

    "EXTREME-VLAN-MIB" : {
        "nodetype" : "module",
        "language" : "SMIv2",
        "organization" :    
            """Extreme Networks, Inc.""",
        "contact" : 
            """www.extremenetworks.com""",
        "description" :
            """Extreme Virtual LAN objects""",
        "revisions" : (
            {
                "date" : "1905-06-24 00:00",
                "description" :
                    """[Revision added by libsmi due to a LAST-UPDATED clause.]""",
            },
        ),
        "identity node" : "extremeVlan",
    },

    "imports" : (
        {"module" : "SNMPv2-SMI", "name" : "MODULE-IDENTITY"},
        {"module" : "SNMPv2-TC", "name" : "RowStatus"},
        {"module" : "SNMPv2-TC", "name" : "TruthValue"},
        {"module" : "RFC1213-MIB", "name" : "DisplayString"},
        {"module" : "SNMPv2-SMI", "name" : "OBJECT-TYPE"},
        {"module" : "SNMPv2-SMI", "name" : "Integer32"},
        {"module" : "SNMPv2-SMI", "name" : "IpAddress"},
        {"module" : "EXTREME-BASE-MIB", "name" : "extremeAgent"},
        {"module" : "EXTREME-BASE-MIB", "name" : "PortList"},
        {"module" : "EXTREME-SYSTEM-MIB", "name" : "extremeSlotNumber"},
        {"module" : "SNMPv2-SMI", "name" : "Counter64"},
    ),

    "typedefs" : {
        "ExtremeVlanType" : {
            "basetype" : "Enumeration",
            "vlanLayer2" : {
                "nodetype" : "namednumber",
                "number" : "1"
            },
        },
        "ExtremeVlanEncapsType" : {
            "basetype" : "Enumeration",
            "vlanEncaps8021q" : {
                "nodetype" : "namednumber",
                "number" : "1"
            },
            "vlanEncapsNone" : {
                "nodetype" : "namednumber",
                "number" : "2"
            },
        },
    }, # typedefs

    "nodes" : {
        "extremeVlan" : {
            "nodetype" : "node",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2",
            "status" : "current",
        }, # node
        "extremeVlanGroup" : {
            "nodetype" : "node",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.1",
        }, # node
        "extremeVlanGlobalMappingTable" : {
            "nodetype" : "table",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.1.1",
            "status" : "deprecated",
            "description" :
                """This table lists VLAN interfaces that are globally
identified.  A single entry exists in this list for
each VLAN interface in the system that is bound to
a global identifier.""",
        }, # table
        "extremeVlanGlobalMappingEntry" : {
            "nodetype" : "row",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.1.1.1",
            "status" : "current",
            "linkage" : [
                "extremeVlanGlobalMappingIdentifier",
            ],
            "description" :
                """An individual VLAN interface global mapping entry.
Entries in this table are created by setting the
extremeVlanIfGlobalIdentifier object in the
extremeVlanIfTable to a non-zero value.""",
        }, # row
        "extremeVlanGlobalMappingIdentifier" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.1.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "65535"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "65535"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """An index into the extremeVlanGlobalMappingTable and an
administratively assigned global VLAN identifier.  The
value of this object globally identifies the VLAN interface.
For VLAN interfaces, on different network devices, which are
part of the same globally identified VLAN, the value of this
object will be the same.""",
        }, # column
        "extremeVlanGlobalMappingIfIndex" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.1.1.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readonly",
            "description" :
                """The value of extremeVlanIfIndex for the VLAN interface in the
extremeVlanIfTable, which is bound to the global identifier
specified by this entry.""",
        }, # column
        "extremeVlanIfTable" : {
            "nodetype" : "table",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.1.2",
            "status" : "current",
            "description" :
                """This table lists VLAN interfaces that exist within
a device.  A single entry exists in this list for each
VLAN interface in the system.  A VLAN interface may
be created, destroyed and/or mapped to a globally 
identified vlan.""",
        }, # table
        "extremeVlanIfEntry" : {
            "nodetype" : "row",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.1.2.1",
            "create" : "true",
            "status" : "current",
            "linkage" : [
                "extremeVlanIfIndex",
            ],
            "description" :
                """An individual VLAN interface entry.  When an NMS wishes
to create a new entry in this table, it must obtain a 
non-zero index from the extremeNextAvailableVirtIfIndex
object.  Row creation in this table will fail if the
chosen index value does not match the current value 
returned from the extremeNextAvailableVirtIfIndex object.""",
        }, # row
        "extremeVlanIfIndex" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.1.2.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readwrite",
            "description" :
                """The index value of this row and the vlan's ifIndex in the
ifTable. The NMS obtains the index value for this row by
reading the extremeNextAvailableVirtIfIndex object.""",
        }, # column
        "extremeVlanIfDescr" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.1.2.1.2",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "OctetString",
                    "parent module" : {
                        "name" : "RFC1213-MIB",
                        "type" : "DisplayString",
                    },
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "32"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "32"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """This is a description of the VLAN interface.""",
        }, # column
        "extremeVlanIfType" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.1.2.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"EXTREME-VLAN-MIB", "name" : "ExtremeVlanType"},
            },
            "access" : "readwrite",
            "description" :
                """The VLAN interface type.""",
        }, # column
        "extremeVlanIfGlobalIdentifier" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.1.2.1.4",
            "status" : "deprecated",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "65535"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "65535"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """An administratively assigned global VLAN identifier.  For
VLAN interfaces, on different network devices, which are
part of the same globally identified VLAN, the value of this
object will be the same.  

The binding between a global identifier and a VLAN 
interface can be created or removed.  To create a binding
an NMS must write a non-zero value to this object.  To
delete a binding, the NMS must write a zero to this
object. The value 1 is reserved for the default VLAN and
this cannot be deleted or re-assigned.""",
        }, # column
        "extremeVlanIfStatus" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.1.2.1.6",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "RowStatus"},
            },
            "access" : "readwrite",
            "description" :
                """The status column for this VLAN interface. 
This OBJECT can be set to:
    active(1)
    createAndGo(4)
    createAndWait(5)
    destroy(6)

The following values may be read:
    active(1)
    notInService(2)
    notReady(3).

Setting this object to createAndGo(4) causes the agent
to attempt to create and commit the row based on 
the contents of the objects in the row.  If all necessary
information is present in the row and the values are
acceptible to the agent, the agent will change the 
status to active(1).  If any of the necessary objects  
are not available, the agent will reject the creation
request.    

Setting this object to createAndWait(5) causes a row
in this table to be created.  The agent sets the
status to notInService(2) if all of the information is
present in the row and the values are acceptable to the
agent; otherwise, the agent sets the status to notReady(3).

Setting this object to active(1) is only valid when
the current status is active(1) or notInService(2).  

When the state of the row transitions is set to active(1),
the agent creates the corresponding row in the ifTable.

Setting this object to destroy(6) will remove the
corresponding VLAN interface, remove the entry in this
table, and the corresponding entries in the
extremeVlanGlobalMappingTable and the ifTable.

In order for a set of this object to destroy(6) to succeed,
all dependencies on this row must have been removed. These
will include any stacking dependencies in the ifStackTable
and any protocol specific tables dependencies.""",
        }, # column
        "extremeVlanIfIgnoreStpFlag" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.1.2.1.7",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TruthValue"},
            },
            "access" : "readwrite",
            "description" :
                """Enable/disable STP for this VLAN interface. Setting this
object to true will cause the ports on this VLAN to ignore
STP BPDUs. When a vlan is first created, the Default value 
is FALSE, which means that the VLAN uses STP port information""",
        }, # column
        "extremeVlanIfIgnoreBpduFlag" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.1.2.1.8",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TruthValue"},
            },
            "access" : "readwrite",
            "description" :
                """Setting this object to true causes this VLAN's BPDU's to be ignored by 
the Spanning Tree process. This can be used to keep the root bridge within 
one's own network when external switches also fall within the same Spanning 
Tree Domain. When a vlan is first created, the Default value is FALSE.""",
        }, # column
        "extremeVlanIfLoopbackModeFlag" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.1.2.1.9",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TruthValue"},
            },
            "access" : "readwrite",
            "description" :
                """Setting this object to true causes loopback mode to be enabled on this VLAN.""",
        }, # column
        "extremeVlanIfVlanId" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.1.2.1.10",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "1",
                        "max" : "4095"
                    },
                    ],
                    "range" : {
                        "min" : "1",
                        "max" : "4095"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """The VLAN ID of this VLAN.""",
        }, # column
        "extremeVlanIfEncapsType" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.1.2.1.11",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"EXTREME-VLAN-MIB", "name" : "ExtremeVlanEncapsType"},
            },
            "access" : "readwrite",
            "description" :
                """The encapsulation algorithm used when encapsulating
packets transmitted, or de-encapsulating packets
received through this interface.""",
        }, # column
        "extremeVlanIfAdminStatus" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.1.2.1.12",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TruthValue"},
            },
            "access" : "readwrite",
            "description" :
                """Enable/disable this VLAN interface. Setting this
object to true will administratively enable this VLAN.""",
        }, # column
        "extremeVirtualGroup" : {
            "nodetype" : "node",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.2",
        }, # node
        "extremeNextAvailableVirtIfIndex" : {
            "nodetype" : "scalar",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.2.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readonly",
            "description" :
                """The value of the next available virtual ifIndex.  This
object is used by an NMS to select an index value 
for row-creation in tables indexed by ifIndex.  The 
current value of this object is changed to a new
value when the current value is written to an agent's
table, that is indexed by ifIndex.  Row creation
using the current value of this object, allocates
a virtual ifIndex.  Note the following:

1. A newly created row does not have to be active(1)
   for the agent to allocate the virtual ifIndex.

2. Race conditions between multiple NMS's end when
   a row is created.  Rows are deemed created when
   a setRequest is successfully committed (i.e.
   the errorStats is noError(0)).

3.  An agent that exhausts its supply of virual
   ifIndex values returns zero as the value of this
   object. This can be used by an NMS as an indication
   to deleted unused rows and reboot the device.""",
        }, # scalar
        "extremeEncapsulationGroup" : {
            "nodetype" : "node",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.3",
        }, # node
        "extremeVlanEncapsIfTable" : {
            "nodetype" : "table",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.3.1",
            "status" : "current",
            "description" :
                """This table lists VLAN encapsulation interfaces that
exist within a device.  A single entry exists in this
list for each VLAN encapsulation interface in the
system.  A VLAN encapsulation interface may be created
or destroyed.""",
        }, # table
        "extremeVlanEncapsIfEntry" : {
            "nodetype" : "row",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.3.1.1",
            "create" : "true",
            "status" : "current",
            "linkage" : [
                "extremeVlanEncapsIfIndex",
            ],
            "description" :
                """An individual VLAN encapsulation interface entry. 
When an NMS wishes to create a new entry in this table,
it must obtain a non-zero index from the
extremeNextAvailableVirtIfIndex object.  Row creation
in this table will fail if the chosen index value does
not match the current value returned from the
extremeNextAvailableVirtIfIndex object.""",
        }, # row
        "extremeVlanEncapsIfIndex" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.3.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readwrite",
            "description" :
                """The index value of this row and the encapsulation
interface's ifIndex in the ifTable.  The NMS obtains
the index value used for creating a row in this table
by reading the extremeNextAvailableVirtIfIndex object.""",
        }, # column
        "extremeVlanEncapsIfType" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.3.1.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"EXTREME-VLAN-MIB", "name" : "ExtremeVlanEncapsType"},
            },
            "access" : "readwrite",
            "description" :
                """The encapsulation algorithm used when encapsulating
packets transmitted, or de-encapsulating packets
received through this interface.""",
        }, # column
        "extremeVlanEncapsIfTag" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.3.1.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readwrite",
            "description" :
                """The tag used when encapsulating packets transmitted,
or de-encapsulating packets received through this
interface.""",
        }, # column
        "extremeVlanEncapsIfStatus" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.3.1.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "RowStatus"},
            },
            "access" : "readwrite",
            "description" :
                """The row status for this VLAN encapsulation interface. 

This OBJECT can be set to:

    active(1)
    createAndGo(4)
    createAndWait(5)
    destroy(6)

The following values may be read:
    active(1)
    notReady(3).

In order for a row to become active, the NMS must set
extremeVlanEncapsIfTagType and extremeVlanEncapsIfTag
to some valid and consistent values.  

Setting this object to createAndGo(4) causes the agent
to attempt to create and commit the row based on the
contents of the objects in the row. If all necessary
information is present in the row, the agent will
create the row and change the status to active(1).  If
any of the necessary objects are not available, or
specify an invalid configuration, the row will not be
created and the agent will return an appropriate error.

Setting this object to createAndWait(5) causes a row in
in this table to be created.  If all necessary objects
in the row have been assigned values and specify a
valid configuration, the status of the row will be set
to notInService(2); otherwise, the status will be set
to notReady(3).  

This object may only be set to createAndGo(4) or
createAndWait(5) if it does not exist.

Setting this object to active(1) when the status is
notInService(2) causes the agent to commit the
row.  Setting this object to active(1) when its value
is already active(1) is a no-op.

Setting this object to destroy(6) will remove the
corresponding VLAN encapsulation interface, remove the
entry in this table, and remove the corresponding entry
in the ifTable.

In order for a set of this object to destroy(6) to
succeed, all dependencies on this row must have been
removed.  These will include any references to this
interface in the ifStackTable.""",
        }, # column
        "extremeVlanIpGroup" : {
            "nodetype" : "node",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.4",
        }, # node
        "extremeVlanIpTable" : {
            "nodetype" : "table",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.4.1",
            "status" : "current",
            "description" :
                """A list of IP VLAN interface information
entries.  Entries in this table are related
to entries in the extremeVlanIfTable by using the
same index.""",
        }, # table
        "extremeVlanIpEntry" : {
            "nodetype" : "row",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.4.1.1",
            "create" : "true",
            "status" : "current",
            "linkage" : [
                "extremeVlanIfIndex",
            ],
            "description" :
                """A extremeVlanIpEntry contains layer 3
information about a particular IP VLAN
interface.""",
        }, # row
        "extremeVlanIpNetAddress" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.4.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "IpAddress"},
            },
            "access" : "readwrite",
            "description" :
                """The IP network number for the IP VLAN interface defined
in the extremeVlanIfTable identified with the same index.""",
        }, # column
        "extremeVlanIpNetMask" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.4.1.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "IpAddress"},
            },
            "access" : "readwrite",
            "description" :
                """The IP network mask corresponding to the IP Network
address defined by extremeVlanIpIpNetAddress.  """,
        }, # column
        "extremeVlanIpStatus" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.4.1.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "RowStatus"},
            },
            "access" : "readwrite",
            "description" :
                """The status column for this IP VLAN entry.
This object can be set to:
    active(1)
    createAndGo(4)
    destroy(6)

The following values may be read:
    active(1)

Setting this object to active(1) or createAndGo(4) causes 
the agent to attempt to create and commit the row based on 
the contents of the objects in the row.  If all necessary
information is present in the row and the values are
acceptible to the agent, the agent will change the 
status to active(1).  If any of the necessary objects  
are not available, the agent will reject the row 
creation request.

Setting this object to createAndWait(5) is not supported.

When the status changes to active(1), the agent applies the
IP parmeters to the IP VLAN interface identified by the
corresponding value of the extremeVlanIpIndex object.

Setting this object to destroy(6) will remove the IP
parmeters from the IP VLAN interface and remove the
entry from this table.""",
        }, # column
        "extremeVlanIpForwardingState" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.4.1.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TruthValue"},
            },
            "access" : "readwrite",
            "description" :
                """Indicates whether the IP Forwarding  on this Vlan is
Enable or not. A true value indicates that the Vlan is
Enable.""",
        }, # column
        "extremeProtocolGroup" : {
            "nodetype" : "node",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.5",
        }, # node
        "extremeVlanProtocolTable" : {
            "nodetype" : "table",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.5.1",
            "status" : "current",
            "description" :
                """Table of defined combinations of protocol IDs 
that make up one protocol definition name. 
All members of one protocol definition share 
the same extremeVlanProtocolIndex. A given 
protocol ID may appear in the definition of 
just one protocol definition. This table will
typically contain some default entries for
popular protocols chosen by ExtremeWare.""",
        }, # table
        "extremeVlanProtocolEntry" : {
            "nodetype" : "row",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.5.1.1",
            "create" : "true",
            "status" : "current",
            "linkage" : [
                "extremeVlanProtocolIndex",
                "extremeVlanProtocolIdIndex",
            ],
            "description" :
                """One member protocol ID of a protocol definition.""",
        }, # row
        "extremeVlanProtocolIndex" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.5.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "16"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "16"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """An index representing a protocol grouping of
protocol ID values. A limited number of
protocol groupings may be defined (up to 7 
in ExtremeWare and 16 in EXOS). 0 is used  
for internal purposes.""",
        }, # column
        "extremeVlanProtocolIdIndex" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.5.1.1.2",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "6"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "6"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """An index representing a particular protocol ID
within a protocol grouping. A limited number of
protocol IDs may be defined per 
extremeVlanProtocolIndex (up to 6 in ExtremeWare).
0 is used for internal purposes.""",
        }, # column
        "extremeVlanProtocolName" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.5.1.1.3",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "OctetString",
                    "parent module" : {
                        "name" : "RFC1213-MIB",
                        "type" : "DisplayString",
                    },
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "31"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "31"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """A human-readable string representing this protocol.
This string should be the same for all entries
sharing a given extremeVlanProtocolIndex. 
A ExtremeVlanProtocolEntry with 
extremeVlanProtocolName of ANY represents a match 
on all protocols: this entry may not be modified.""",
        }, # column
        "extremeVlanProtocolDllEncapsType" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.5.1.1.4",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "any" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "ethertype" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "llc" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                    "llcSnapEthertype" : {
                        "nodetype" : "namednumber",
                        "number" : "4"
                    },
                    "none" : {
                        "nodetype" : "namednumber",
                        "number" : "5"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """Represents the type of data-link encapsulation 
in which the extremeVlanProtocolId protocol ID 
is carried. The value any(1) is used to indicate 
a wildcard and matches all encapsulations and 
protocol IDs that are not explicitly mentioned 
in this table. Entries of type any(1) may not 
be created. The value none(5) is used to indicate 
that no protocol IDs match this entry. A value
of none(5) may not be set by a manager.""",
        }, # column
        "extremeVlanProtocolId" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.5.1.1.5",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "65535"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "65535"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """The protocol ID: for entries of type ethertype(2)
or llcSnapEthertype(4) this represents a 16-bit
protocol ID. For entries of type llc(3) it 
represents a concatenation of LLC DSAP+SSAP in
network byte order. This value is not valid
for extremeVlanProtocolDllEncapsType values of
any(1) or none(5).""",
        }, # column
        "extremeVlanProtocolStatus" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.5.1.1.6",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "RowStatus"},
            },
            "access" : "readwrite",
            "description" :
                """The row status variable, used according to
row installation and removal conventions.""",
        }, # column
        "extremeVlanProtocolVlanTable" : {
            "nodetype" : "table",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.5.2",
            "status" : "current",
            "description" :
                """Table to apply one of the protocol definitions 
in extremeVlanProtocolTable to a given VLAN 
This applies to all ports that are untagged 
in this VLAN). A limited number of protocols
may be applied simultaneously in one device
(up to 8 in ExtremeWare).""",
        }, # table
        "extremeVlanProtocolVlanEntry" : {
            "nodetype" : "row",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.5.2.1",
            "create" : "true",
            "status" : "current",
            "linkage" : [
                "extremeVlanProtocolVlanIfIndex",
                "extremeVlanProtocolVlanProtocolIndex",
            ],
            "description" :
                """A mapping of untagged packets of one protocol 
onto a particular VLAN.""",
        }, # row
        "extremeVlanProtocolVlanIfIndex" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.5.2.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readwrite",
            "description" :
                """The index value of this row and the vlan's ifIndex in the
ifTable. The NMS obtains the index value for this row by
reading the extremeNextAvailableVirtIfIndex object.""",
        }, # column
        "extremeVlanProtocolVlanProtocolIndex" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.5.2.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readwrite",
            "description" :
                """An index representing a protocol grouping of
protocol ID values. A limited number of
protocol groupings may be defined (up to 7 
in ExtremeWare).""",
        }, # column
        "extremeVlanProtocolVlanStatus" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.5.2.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "RowStatus"},
            },
            "access" : "readwrite",
            "description" :
                """The row status variable, used according to
row installation and removal conventions.""",
        }, # column
        "extremeVlanProtocolDefTable" : {
            "nodetype" : "table",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.5.3",
            "status" : "current",
            "description" :
                """Table of defined combinations of protocols and
DLLEncaps type. This table will
typically contain some default entries for
popular protocols chosen by ExtremeWare.""",
        }, # table
        "extremeVlanProtocolDefEntry" : {
            "nodetype" : "row",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.5.3.1",
            "status" : "current",
            "linkage" : [
                "extremeVlanProtocolDefName",
                "extremeVlanProtocolDefDllEncapsType",
                "extremeVlanProtocolDefValue",
            ],
            "description" :
                """One member representing combination of protocol and
DLLEncaps Type.""",
        }, # row
        "extremeVlanProtocolDefName" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.5.3.1.1",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "OctetString",
                    "parent module" : {
                        "name" : "RFC1213-MIB",
                        "type" : "DisplayString",
                    },
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "31"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "31"
                    },
                },
            },
            "access" : "noaccess",
            "description" :
                """A human-readable string representing this protocol.
A ExtremeVlanProtocolEntry with 
extremeVlanProtocol2Name of ANY represents a match 
on all protocols: this entry may not be modified.""",
        }, # column
        "extremeVlanProtocolDefDllEncapsType" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.5.3.1.2",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "any" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "ethertype" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "llc" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                    "llcSnapEthertype" : {
                        "nodetype" : "namednumber",
                        "number" : "4"
                    },
                    "none" : {
                        "nodetype" : "namednumber",
                        "number" : "5"
                    },
                },
            },
            "access" : "noaccess",
            "description" :
                """Represents the type of data-link encapsulation 
in which the protocol designated by 
extremeVlanProtocolDefName is carried. 
The value any(1) is used to indicate 
a wildcard and matches all encapsulations and 
protocol IDs that are not explicitly mentioned 
in this table. Entries of type any(1) may not 
be created. The value none(5) is used to indicate 
that no protocol IDs match this entry. A value
of none(5) may not be set by a manager.""",
        }, # column
        "extremeVlanProtocolDefValue" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.5.3.1.3",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "65535"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "65535"
                    },
                },
            },
            "access" : "noaccess",
            "description" :
                """The protocol ID: for entries of type ethertype(2)
or llcSnapEthertype(4) this represents a 16-bit
protocol ID. For entries of type llc(3) it 
represents a concatenation of LLC DSAP+SSAP in
network byte order. This value is not valid
for extremeVlanProtocolDefDllEncapsType values of
any(1) or none(5).""",
        }, # column
        "extremeVlanProtocolDefStatus" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.5.3.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "RowStatus"},
            },
            "access" : "readonly",
            "description" :
                """The row status variable, used according to
row installation and removal conventions.""",
        }, # column
        "extremeVlanProtocolBindingTable" : {
            "nodetype" : "table",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.5.4",
            "status" : "current",
            "description" :
                """Table to apply one of the protocol definitions 
in extremeVlanProtocolDefTable to a given VLAN 
This applies to all ports that are untagged 
in this VLAN). A limited number of protocols
may be applied simultaneously in one device
(up to 8 in ExtremeWare).""",
        }, # table
        "extremeVlanProtocolBindingEntry" : {
            "nodetype" : "row",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.5.4.1",
            "create" : "true",
            "status" : "current",
            "linkage" : [
                "extremeVlanProtocolBindingIfIndex",
            ],
            "description" :
                """A mapping of untagged packets of one protocol 
onto a particular VLAN.""",
        }, # row
        "extremeVlanProtocolBindingIfIndex" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.5.4.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "noaccess",
            "description" :
                """The index value of this row and the vlan's ifIndex in the
ifTable. The NMS obtains the index value for this row by
reading the extremeNextAvailableVirtIfIndex object.""",
        }, # column
        "extremeVlanProtocolBindingName" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.5.4.1.2",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "OctetString",
                    "parent module" : {
                        "name" : "RFC1213-MIB",
                        "type" : "DisplayString",
                    },
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "31"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "31"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """A human-readable string representing this protocol.
A ExtremeVlanProtocolBindingEntry with 
extremeVlanProtocolBindingName of ANY represents a 
match on all protocols: this entry may not be modified.""",
        }, # column
        "extremeVlanProtocolBindingStatus" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.5.4.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "RowStatus"},
            },
            "access" : "readonly",
            "description" :
                """The row status variable, used according to
row installation and removal conventions.""",
        }, # column
        "extremeVlanOpaqueGroup" : {
            "nodetype" : "node",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.6",
        }, # node
        "extremeVlanOpaqueTable" : {
            "nodetype" : "table",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.6.1",
            "status" : "current",
            "description" :
                """This table lists the ports associated with each VLAN interface.""",
        }, # table
        "extremeVlanOpaqueEntry" : {
            "nodetype" : "row",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.6.1.1",
            "status" : "current",
            "linkage" : [
                "extremeVlanIfIndex",
                "extremeSlotNumber",
            ],
            "description" :
                """This represents the tagged and untagged ports on each slot per vlan.""",
        }, # row
        "extremeVlanOpaqueTaggedPorts" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.6.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"EXTREME-BASE-MIB", "name" : "PortList"},
            },
            "access" : "readonly",
            "description" :
                """Each bit in the octet string represents one port.
A 1 means that the port is a tagged port in that vlan. 
The bit value for a port is 0 otherwise.""",
        }, # column
        "extremeVlanOpaqueUntaggedPorts" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.6.1.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"EXTREME-BASE-MIB", "name" : "PortList"},
            },
            "access" : "readonly",
            "description" :
                """Each bit in the octet string represents one port.
A 1 means that the port is an untagged port in that vlan. 
The bit value for a port is 0 otherwise.""",
        }, # column
        "extremeVlanOpaqueControlTable" : {
            "nodetype" : "table",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.6.2",
            "status" : "current",
            "description" :
                """This table is used to configure the ports associated with each VLAN 
interface. The table is  used to add/delete ports on a vlan. The table is
transitional in nature and SNMP read operations must not be performed on it. 
Use extremeVlanOpaqueTable for reading the port membership association with vlans""",
        }, # table
        "extremeVlanOpaqueControlEntry" : {
            "nodetype" : "row",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.6.2.1",
            "create" : "true",
            "status" : "current",
            "linkage" : [
                "extremeVlanIfIndex",
                "extremeSlotNumber",
            ],
            "description" :
                """This represents a control table entry (command) to configure the tagged 
and untagged ports on each slot per vlan.  The first index of the entry is 
the ifIndex of the VLAN and second index is the slot number of the ports.

When adding untagged ports to a VLAN, those ports maybe not be untagged ports
for another VLAN (assuming both VLANs use the ANY protocol filter).  Such 
ports must first be deleted from the other VLAN(s) or an error will occur.

The operation will succeed or fail in its entirety, no partial results on some of the ports.""",
        }, # row
        "extremeVlanOpaqueControlPorts" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.6.2.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"EXTREME-BASE-MIB", "name" : "PortList"},
            },
            "access" : "readwrite",
            "description" :
                """The octet string representing a list of ports in
bitwise form.""",
        }, # column
        "extremeVlanOpaqueControlOperation" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.6.2.1.2",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "addTagged" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "addUntagged" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "delete" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """The operation code for this entry. 
addTagged(1)   = Ports referred to in the extremeVlanOpaqueControlPorts 
                 variable are added as tagged ports to the VLAN indicated
                 by the index.  The ports belong to the slot number as 
                 indicated by the second index of the variable.

addUntagged(2) = Ports referred to in the extremeVlanOpaqueControlPorts 
                   variable are added as tagged ports to the VLAN indicated
                   by the index.  The ports belong to the slot number as 
                   indicated by the second index of the variable.

delete(3)      = Ports referred to in the extremeVlanOpaqueControlPorts 
                  variable are removed from the VLAN indicated by the index.
                  The ports belong to the slot number as indicated by the
                  second index of the variable.""",
        }, # column
        "extremeVlanOpaqueControlStatus" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.6.2.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "RowStatus"},
            },
            "access" : "readwrite",
            "description" :
                """The status of this entry as per standard RowStatus
conventions. Note however, that only the CreateAndGo 
state is supported.""",
        }, # column
        "extremeVlanStackGroup" : {
            "nodetype" : "node",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.7",
        }, # node
        "extremeVlanStackTable" : {
            "nodetype" : "table",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.7.1",
            "status" : "current",
            "description" :
                """Represents those components of the ifStackTable that do not
contain a Physical interface.""",
        }, # table
        "extremeVlanStackEntry" : {
            "nodetype" : "row",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.7.1.1",
            "status" : "current",
            "linkage" : [
                "extremeVlanStackHigherLayer",
                "extremeVlanStackLowerLayer",
            ],
            "description" :
                """Each entry in this read-only table defines which interfaces are
on top of which one. All information in the table is also
contained in ifStackTable. The Physical interfaces in the 
ifStackTable are not represented here.""",
        }, # row
        "extremeVlanStackHigherLayer" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.7.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readonly",
            "description" :
                """The higher layer in the logical vlan hierarchy.""",
        }, # column
        "extremeVlanStackLowerLayer" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.7.1.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readonly",
            "description" :
                """The lower layer in the logical vlan hierarchy.""",
        }, # column
        "extremeVlanStatsGroup" : {
            "nodetype" : "node",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.8",
        }, # node
        "extremeVlanL2StatsTable" : {
            "nodetype" : "table",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.8.1",
            "status" : "current",
            "description" :
                """This tables contains per-VLAN layer 2 statistics information.""",
        }, # table
        "extremeVlanL2StatsEntry" : {
            "nodetype" : "row",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.8.1.1",
            "status" : "current",
            "linkage" : [
                "extremeVlanIfIndex",
            ],
            "description" :
                """""",
        }, # row
        "extremeVlanL2StatsIfDescr" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.8.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "OctetString",
                    "parent module" : {
                        "name" : "RFC1213-MIB",
                        "type" : "DisplayString",
                    },
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "32"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "32"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """This is a description(name) of the VLAN.""",
        }, # column
        "extremeVlanL2StatsPktsToCpu" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.8.1.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter64"},
            },
            "access" : "readonly",
            "description" :
                """The total number of packets of this VLAN sent to the CPU.""",
        }, # column
        "extremeVlanL2StatsPktsLearnt" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.8.1.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter64"},
            },
            "access" : "readonly",
            "description" :
                """The total number of packets learnt on this VLAN.""",
        }, # column
        "extremeVlanL2StatsIgmpCtrlPktsSnooped" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.8.1.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter64"},
            },
            "access" : "readonly",
            "description" :
                """The total number of IGMP control packets snooped on this VLAN.""",
        }, # column
        "extremeVlanL2StatsIgmpDataPktsSwitched" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.8.1.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter64"},
            },
            "access" : "readonly",
            "description" :
                """The total number of IGMP data packets switched on this VLAN.""",
        }, # column
        "extremePortVlanStatsTable" : {
            "nodetype" : "row",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.8.2",
            "create" : "true",
            "status" : "current",
            "linkage" : [
                "extremeStatsPortIfIndex",
                "extremeStatsVlanNameIndex",
            ],
            "description" :
                """Vlan statistics per port.""",
        }, # row
        "extremeStatsPortIfIndex" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.8.2.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readonly",
            "description" :
                """The index of this table.""",
        }, # column
        "extremeStatsVlanNameIndex" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.8.2.2",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "OctetString",
                    "parent module" : {
                        "name" : "RFC1213-MIB",
                        "type" : "DisplayString",
                    },
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "32"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "32"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The index of this table.""",
        }, # column
        "extremePortVlanStatsCntrType" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.8.2.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readonly",
            "description" :
                """The flag to decide what fields to display, basic
or extended. Currently, it is read-only and will
reflect whatever has been set for the switch
through the cli.""",
        }, # column
        "extremePortVlanUnicastReceivedPacketsCounter" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.8.2.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter64"},
            },
            "access" : "readonly",
            "description" :
                """The number of Unicast packets received by a port
for a particular VLAN.""",
        }, # column
        "extremePortVlanMulticastReceivedPacketsCounter" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.8.2.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter64"},
            },
            "access" : "readonly",
            "description" :
                """The number of Multicast packets received by a port
for a particular VLAN.""",
        }, # column
        "extremePortVlanBroadcastReceivedPacketsCounter" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.8.2.6",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter64"},
            },
            "access" : "readonly",
            "description" :
                """The number of Broadcast packets received by a port
for a particular VLAN.""",
        }, # column
        "extremePortVlanTotalReceivedBytesCounter" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.8.2.7",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter64"},
            },
            "access" : "readonly",
            "description" :
                """The total number of bytes received by a port
for a particular VLAN.""",
        }, # column
        "extremePortVlanTotalReceivedFramesCounter" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.8.2.8",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter64"},
            },
            "access" : "readonly",
            "description" :
                """The total number of frames received by a port
for a particular VLAN.""",
        }, # column
        "extremePortVlanUnicastTransmittedPacketsCounter" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.8.2.9",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter64"},
            },
            "access" : "readonly",
            "description" :
                """The number of Unicast packets transmitted by a
port for a particular VLAN.""",
        }, # column
        "extremePortVlanMulticastTransmittedPacketsCounter" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.8.2.10",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter64"},
            },
            "access" : "readonly",
            "description" :
                """The number of Multicast packets transmitted by a port
for a particular VLAN.""",
        }, # column
        "extremePortVlanBroadcastTransmittedPacketsCounter" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.8.2.11",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter64"},
            },
            "access" : "readonly",
            "description" :
                """The number of Broadcast packets transmitted by a port
for a particular VLAN.""",
        }, # column
        "extremePortVlanTotalTransmittedBytesCounter" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.8.2.12",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter64"},
            },
            "access" : "readonly",
            "description" :
                """The total number of bytes transmitted by a port
for a particular VLAN.""",
        }, # column
        "extremePortVlanTotalTransmittedFramesCounter" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.8.2.13",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter64"},
            },
            "access" : "readonly",
            "description" :
                """The total number of frames transmitted by a port
for a particular VLAN.""",
        }, # column
        "extremePortConfigureVlanStatus" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.8.2.14",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "RowStatus"},
            },
            "access" : "readwrite",
            "description" :
                """The row status variable, used according to
row installation and removal conventions.""",
        }, # column
        "extremeVlanAggregationGroup" : {
            "nodetype" : "node",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.9",
        }, # node
        "extremeVlanAggregationTable" : {
            "nodetype" : "table",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.9.1",
            "status" : "current",
            "description" :
                """This table contains the VLAN aggregation information.""",
        }, # table
        "extremeVlanAggregationEntry" : {
            "nodetype" : "row",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.9.1.1",
            "create" : "true",
            "status" : "current",
            "linkage" : [
                "extremeVlanAggregationSuperVlanIfIndex",
                "extremeVlanAggregationSubVlanIfIndex",
            ],
            "description" :
                """Information about the individual VLAN aggregation entry.""",
        }, # row
        "extremeVlanAggregationSuperVlanIfIndex" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.9.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readonly",
            "description" :
                """The Super Vlan index for this entry.""",
        }, # column
        "extremeVlanAggregationSubVlanIfIndex" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.9.1.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readonly",
            "description" :
                """The Sub Vlan index for this entry.""",
        }, # column
        "extremeVlanAggregationSubVlanStartIpNetAddress" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.9.1.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "IpAddress"},
            },
            "access" : "readwrite",
            "description" :
                """This represents the start network address of the IP range.""",
        }, # column
        "extremeVlanAggregationSubVlanStartIpNetMask" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.9.1.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "IpAddress"},
            },
            "access" : "readonly",
            "description" :
                """This represents the start network address mask of the IP range""",
        }, # column
        "extremeVlanAggregationSubVlanEndIpNetAddress" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.9.1.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "IpAddress"},
            },
            "access" : "readwrite",
            "description" :
                """This represents the end network address of the IP range.""",
        }, # column
        "extremeVlanAggregationSubVlanEndIpNetMask" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.9.1.1.6",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "IpAddress"},
            },
            "access" : "readonly",
            "description" :
                """This represents the end network address mask of the IP range.""",
        }, # column
        "extremeVlanAggregationStatus" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.9.1.1.7",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "RowStatus"},
            },
            "access" : "readwrite",
            "description" :
                """The status of this entry.""",
        }, # column
        "extremeVlanAggregationConfigTable" : {
            "nodetype" : "table",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.9.2",
            "status" : "current",
            "description" :
                """This table contains the sub VLAN proxy setting information.""",
        }, # table
        "extremeVlanAggregationConfigEntry" : {
            "nodetype" : "row",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.9.2.1",
            "create" : "true",
            "status" : "current",
            "linkage" : [
                "extremeVlanAggregationConfigSuperVlanIfIndex",
            ],
            "description" :
                """Information about the individual VLAN aggregation entry.""",
        }, # row
        "extremeVlanAggregationConfigSuperVlanIfIndex" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.9.2.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readonly",
            "description" :
                """The Super Vlan index for this entry.""",
        }, # column
        "extremeVlanAggregationConfigSubVlanProxyEnable" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.9.2.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TruthValue"},
            },
            "access" : "readwrite",
            "description" :
                """The boolean flag that prevents normal communication between sub vlans.""",
        }, # column
        "extremeVlanTranslationGroup" : {
            "nodetype" : "node",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.10",
        }, # node
        "extremeVlanTranslationTable" : {
            "nodetype" : "table",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.10.1",
            "status" : "current",
            "description" :
                """This table contains the VLAN translation information.""",
        }, # table
        "extremeVlanTranslationEntry" : {
            "nodetype" : "row",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.10.1.1",
            "create" : "true",
            "status" : "current",
            "linkage" : [
                "extremeVlanTranslationSuperVlanIfIndex",
                "extremeVlanTranslationMemberVlanIfIndex",
            ],
            "description" :
                """Information about the individual VLAN translation entry.""",
        }, # row
        "extremeVlanTranslationSuperVlanIfIndex" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.10.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readonly",
            "description" :
                """The Super Vlan index for this entry.""",
        }, # column
        "extremeVlanTranslationMemberVlanIfIndex" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.10.1.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readonly",
            "description" :
                """The member Vlan index for this entry.""",
        }, # column
        "extremeVlanTranslationStatus" : {
            "nodetype" : "column",
            "moduleName" : "EXTREME-VLAN-MIB",
            "oid" : "1.3.6.1.4.1.1916.1.2.10.1.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "RowStatus"},
            },
            "access" : "readwrite",
            "description" :
                """The status of this entry.""",
        }, # column
    }, # nodes

}
