# python version 1.0						DO NOT EDIT
#
# Generated by smidump version 0.4.7:
#
#   smidump -f python IPV6-MIB

FILENAME = "/usr/share/mibs/ietf/IPV6-MIB"

MIB = {
    "moduleName" : "IPV6-MIB",

    "IPV6-MIB" : {
        "nodetype" : "module",
        "language" : "SMIv2",
        "organization" :    
            """IETF IPv6 Working Group""",
        "contact" : 
            """           Dimitry Haskin

Postal: Bay Networks, Inc.
        660 Techology Park Drive.
        Billerica, MA  01821
        US

   Tel: +1-978-916-8124
E-mail: dhaskin@baynetworks.com

        Steve Onishi

Postal: Bay Networks, Inc.
        3 Federal Street
        Billerica, MA 01821
        US

   Tel: +1-978-916-3816
E-mail: sonishi@baynetworks.com""",
        "description" :
            """The MIB module for entities implementing the IPv6
protocol.""",
        "revisions" : (
            {
                "date" : "1998-02-05 21:55",
                "description" :
                    """[Revision added by libsmi due to a LAST-UPDATED clause.]""",
            },
        ),
        "identity node" : "ipv6MIB",
    },

    "imports" : (
        {"module" : "SNMPv2-SMI", "name" : "MODULE-IDENTITY"},
        {"module" : "SNMPv2-SMI", "name" : "OBJECT-TYPE"},
        {"module" : "SNMPv2-SMI", "name" : "NOTIFICATION-TYPE"},
        {"module" : "SNMPv2-SMI", "name" : "mib-2"},
        {"module" : "SNMPv2-SMI", "name" : "Counter32"},
        {"module" : "SNMPv2-SMI", "name" : "Unsigned32"},
        {"module" : "SNMPv2-SMI", "name" : "Integer32"},
        {"module" : "SNMPv2-SMI", "name" : "Gauge32"},
        {"module" : "SNMPv2-TC", "name" : "DisplayString"},
        {"module" : "SNMPv2-TC", "name" : "PhysAddress"},
        {"module" : "SNMPv2-TC", "name" : "TruthValue"},
        {"module" : "SNMPv2-TC", "name" : "TimeStamp"},
        {"module" : "SNMPv2-TC", "name" : "VariablePointer"},
        {"module" : "SNMPv2-TC", "name" : "RowPointer"},
        {"module" : "SNMPv2-CONF", "name" : "MODULE-COMPLIANCE"},
        {"module" : "SNMPv2-CONF", "name" : "OBJECT-GROUP"},
        {"module" : "SNMPv2-CONF", "name" : "NOTIFICATION-GROUP"},
        {"module" : "IPV6-TC", "name" : "Ipv6IfIndex"},
        {"module" : "IPV6-TC", "name" : "Ipv6Address"},
        {"module" : "IPV6-TC", "name" : "Ipv6AddressPrefix"},
        {"module" : "IPV6-TC", "name" : "Ipv6AddressIfIdentifier"},
        {"module" : "IPV6-TC", "name" : "Ipv6IfIndexOrZero"},
    ),

    "nodes" : {
        "ipv6MIB" : {
            "nodetype" : "node",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55",
            "status" : "current",
        }, # node
        "ipv6MIBObjects" : {
            "nodetype" : "node",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1",
        }, # node
        "ipv6Forwarding" : {
            "nodetype" : "scalar",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.1",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "forwarding" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "notForwarding" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """The indication of whether this entity is acting
as an IPv6 router in respect to the forwarding of
datagrams received by, but not addressed to, this
entity.  IPv6 routers forward datagrams.  IPv6
hosts do not (except those source-routed via the
host).

Note that for some managed nodes, this object may
take on only a subset of the values possible.
Accordingly, it is appropriate for an agent to
return a `wrongValue' response if a management
station attempts to change this object to an
inappropriate value.""",
        }, # scalar
        "ipv6DefaultHopLimit" : {
            "nodetype" : "scalar",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.2",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "255"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "255"
                    },
                },
            },
            "access" : "readwrite",
            "default" : "64",
            "description" :
                """The default value inserted into the Hop Limit
field of the IPv6 header of datagrams originated
at this entity, whenever a Hop Limit value is not
supplied by the transport layer protocol.""",
        }, # scalar
        "ipv6Interfaces" : {
            "nodetype" : "scalar",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Unsigned32"},
            },
            "access" : "readonly",
            "description" :
                """The number of IPv6 interfaces (regardless of
their current state) present on this system.""",
        }, # scalar
        "ipv6IfTableLastChange" : {
            "nodetype" : "scalar",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TimeStamp"},
            },
            "access" : "readonly",
            "description" :
                """The value of sysUpTime at the time of the last
insertion or removal of an entry in the
ipv6IfTable. If the number of entries has been
unchanged since the last re-initialization of
the local network management subsystem, then this
object contains a zero value.""",
        }, # scalar
        "ipv6IfTable" : {
            "nodetype" : "table",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.5",
            "status" : "current",
            "description" :
                """The IPv6 Interfaces table contains information
on the entity's internetwork-layer interfaces.
An IPv6 interface constitutes a logical network
layer attachment to the layer immediately below
IPv6 including internet layer 'tunnels', such as
tunnels over IPv4 or IPv6 itself.""",
        }, # table
        "ipv6IfEntry" : {
            "nodetype" : "row",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.5.1",
            "status" : "current",
            "linkage" : [
                "ipv6IfIndex",
            ],
            "description" :
                """An interface entry containing objects
about a particular IPv6 interface.""",
        }, # row
        "ipv6IfIndex" : {
            "nodetype" : "column",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.5.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"IPV6-TC", "name" : "Ipv6IfIndex"},
            },
            "access" : "noaccess",
            "description" :
                """A unique non-zero value identifying
the particular IPv6 interface.""",
        }, # column
        "ipv6IfDescr" : {
            "nodetype" : "column",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.5.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "DisplayString"},
            },
            "access" : "readwrite",
            "description" :
                """A textual string containing information about the
interface.  This string may be set by the network
management system.""",
        }, # column
        "ipv6IfLowerLayer" : {
            "nodetype" : "column",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.5.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "VariablePointer"},
            },
            "access" : "readonly",
            "description" :
                """This object identifies the protocol layer over
which this network interface operates.  If this
network interface operates over the data-link
layer, then the value of this object refers to an
instance of ifIndex [6]. If this network interface
operates over an IPv4 interface, the value of this
object refers to an instance of ipAdEntAddr [3].

If this network interface operates over another
IPv6 interface, the value of this object refers to
an instance of ipv6IfIndex.  If this network
interface is not currently operating over an active
protocol layer, then the value of this object
should be set to the OBJECT ID { 0 0 }.""",
        }, # column
        "ipv6IfEffectiveMtu" : {
            "nodetype" : "column",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.5.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Unsigned32"},
            },
            "access" : "readonly",
            "units" : "octets",
            "description" :
                """The size of the largest IPv6 packet which can be
sent/received on the interface, specified in
octets.""",
        }, # column
        "ipv6IfReasmMaxSize" : {
            "nodetype" : "column",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.5.1.5",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Unsigned32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "65535"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "65535"
                    },
                },
            },
            "access" : "readonly",
            "units" : "octets",
            "description" :
                """The size of the largest IPv6 datagram which this
entity can re-assemble from incoming IPv6 fragmented
datagrams received on this interface.""",
        }, # column
        "ipv6IfIdentifier" : {
            "nodetype" : "column",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.5.1.6",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"IPV6-TC", "name" : "Ipv6AddressIfIdentifier"},
            },
            "access" : "readwrite",
            "description" :
                """The Interface Identifier for this interface that
is (at least) unique on the link this interface is
attached to. The Interface Identifier is combined
with an address prefix to form an interface address.

By default, the Interface Identifier is autoconfigured
according to the rules of the link type this
interface is attached to.""",
        }, # column
        "ipv6IfIdentifierLength" : {
            "nodetype" : "column",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.5.1.7",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "64"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "64"
                    },
                },
            },
            "access" : "readwrite",
            "units" : "bits",
            "description" :
                """The length of the Interface Identifier in bits.""",
        }, # column
        "ipv6IfPhysicalAddress" : {
            "nodetype" : "column",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.5.1.8",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "PhysAddress"},
            },
            "access" : "readonly",
            "description" :
                """The interface's physical address. For example, for
an IPv6 interface attached to an 802.x link, this
object normally contains a MAC address. Note that
in some cases this address may differ from the
address of the interface's protocol sub-layer.  The
interface's media-specific MIB must define the bit
and byte ordering and the format of the value of
this object. For interfaces which do not have such
an address (e.g., a serial line), this object should
contain an octet string of zero length.""",
        }, # column
        "ipv6IfAdminStatus" : {
            "nodetype" : "column",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.5.1.9",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "up" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "down" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """The desired state of the interface.  When a managed
system initializes,  all IPv6 interfaces start with
ipv6IfAdminStatus in the down(2) state.  As a result
of either explicit management action or per
configuration information retained by the managed
system,  ipv6IfAdminStatus is then changed to
the up(1) state (or remains in the down(2) state).""",
        }, # column
        "ipv6IfOperStatus" : {
            "nodetype" : "column",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.5.1.10",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "up" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "down" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "noIfIdentifier" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                    "unknown" : {
                        "nodetype" : "namednumber",
                        "number" : "4"
                    },
                    "notPresent" : {
                        "nodetype" : "namednumber",
                        "number" : "5"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The current operational state of the interface.
The noIfIdentifier(3) state indicates that no valid
Interface Identifier is assigned to the interface.
This state usually indicates that the link-local
interface address failed Duplicate Address Detection.
If ipv6IfAdminStatus is down(2) then ipv6IfOperStatus
should be down(2).  If ipv6IfAdminStatus is changed
to up(1) then ipv6IfOperStatus should change to up(1)
if the interface is ready to transmit and receive
network traffic; it should remain in the down(2) or
noIfIdentifier(3) state if and only if there is a
fault that prevents it from going to the up(1) state;
it should remain in the notPresent(5) state if
the interface has missing (typically, lower layer)
components.""",
        }, # column
        "ipv6IfLastChange" : {
            "nodetype" : "column",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.5.1.11",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TimeStamp"},
            },
            "access" : "readonly",
            "description" :
                """The value of sysUpTime at the time the interface
entered its current operational state.  If the
current state was entered prior to the last
re-initialization of the local network management
subsystem, then this object contains a zero
value.""",
        }, # column
        "ipv6IfStatsTable" : {
            "nodetype" : "table",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.6",
            "status" : "current",
            "description" :
                """IPv6 interface traffic statistics.""",
        }, # table
        "ipv6IfStatsEntry" : {
            "nodetype" : "row",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.6.1",
            "status" : "current",
            "linkage" : [
                { "IPV6-MIB" : {
                    "indexkind" : "augments",
                    "relatedNode" : "ipv6IfEntry",
                }},
            ],
            "description" :
                """An interface statistics entry containing objects
at a particular IPv6 interface.""",
        }, # row
        "ipv6IfStatsInReceives" : {
            "nodetype" : "column",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.6.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The total number of input datagrams received by
the interface, including those received in error.""",
        }, # column
        "ipv6IfStatsInHdrErrors" : {
            "nodetype" : "column",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.6.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of input datagrams discarded due to
errors in their IPv6 headers, including version
number mismatch, other format errors, hop count
exceeded, errors discovered in processing their
IPv6 options, etc.""",
        }, # column
        "ipv6IfStatsInTooBigErrors" : {
            "nodetype" : "column",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.6.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of input datagrams that could not be
forwarded because their size exceeded the link MTU
of outgoing interface.""",
        }, # column
        "ipv6IfStatsInNoRoutes" : {
            "nodetype" : "column",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.6.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of input datagrams discarded because no
route could be found to transmit them to their
destination.""",
        }, # column
        "ipv6IfStatsInAddrErrors" : {
            "nodetype" : "column",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.6.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of input datagrams discarded because
the IPv6 address in their IPv6 header's destination
field was not a valid address to be received at
this entity.  This count includes invalid
addresses (e.g., ::0) and unsupported addresses
(e.g., addresses with unallocated prefixes).  For
entities which are not IPv6 routers and therefore
do not forward datagrams, this counter includes
datagrams discarded because the destination address
was not a local address.""",
        }, # column
        "ipv6IfStatsInUnknownProtos" : {
            "nodetype" : "column",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.6.1.6",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of locally-addressed datagrams
received successfully but discarded because of an
unknown or unsupported protocol. This counter is
incremented at the interface to which these
datagrams were addressed which might not be
necessarily the input interface for some of
the datagrams.""",
        }, # column
        "ipv6IfStatsInTruncatedPkts" : {
            "nodetype" : "column",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.6.1.7",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of input datagrams discarded because
datagram frame didn't carry enough data.""",
        }, # column
        "ipv6IfStatsInDiscards" : {
            "nodetype" : "column",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.6.1.8",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of input IPv6 datagrams for which no
problems were encountered to prevent their
continued processing, but which were discarded
(e.g., for lack of buffer space).  Note that this
counter does not include any datagrams discarded
while awaiting re-assembly.""",
        }, # column
        "ipv6IfStatsInDelivers" : {
            "nodetype" : "column",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.6.1.9",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The total number of datagrams successfully
delivered to IPv6 user-protocols (including ICMP).
This counter is incremented at the interface to
which these datagrams were addressed which might
not be necessarily the input interface for some of
the datagrams.""",
        }, # column
        "ipv6IfStatsOutForwDatagrams" : {
            "nodetype" : "column",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.6.1.10",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of output datagrams which this
entity received and forwarded to their final
destinations.  In entities which do not act
as IPv6 routers, this counter will include
only those packets which were Source-Routed
via this entity, and the Source-Route
processing was successful.  Note that for
a successfully forwarded datagram the counter
of the outgoing interface is incremented.""",
        }, # column
        "ipv6IfStatsOutRequests" : {
            "nodetype" : "column",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.6.1.11",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The total number of IPv6 datagrams which local IPv6
user-protocols (including ICMP) supplied to IPv6 in
requests for transmission.  Note that this counter
does not include any datagrams counted in
ipv6IfStatsOutForwDatagrams.""",
        }, # column
        "ipv6IfStatsOutDiscards" : {
            "nodetype" : "column",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.6.1.12",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of output IPv6 datagrams for which no
problem was encountered to prevent their
transmission to their destination, but which were
discarded (e.g., for lack of buffer space).  Note
that this counter would include datagrams counted
in ipv6IfStatsOutForwDatagrams if any such packets
met this (discretionary) discard criterion.""",
        }, # column
        "ipv6IfStatsOutFragOKs" : {
            "nodetype" : "column",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.6.1.13",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of IPv6 datagrams that have been
successfully fragmented at this output interface.""",
        }, # column
        "ipv6IfStatsOutFragFails" : {
            "nodetype" : "column",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.6.1.14",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of IPv6 datagrams that have been
discarded because they needed to be fragmented
at this output interface but could not be.""",
        }, # column
        "ipv6IfStatsOutFragCreates" : {
            "nodetype" : "column",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.6.1.15",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of output datagram fragments that have
been generated as a result of fragmentation at
this output interface.""",
        }, # column
        "ipv6IfStatsReasmReqds" : {
            "nodetype" : "column",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.6.1.16",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of IPv6 fragments received which needed
to be reassembled at this interface.  Note that this
counter is incremented at the interface to which
these fragments were addressed which might not
be necessarily the input interface for some of
the fragments.""",
        }, # column
        "ipv6IfStatsReasmOKs" : {
            "nodetype" : "column",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.6.1.17",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of IPv6 datagrams successfully
reassembled.  Note that this counter is incremented
at the interface to which these datagrams were
addressed which might not be necessarily the input
interface for some of the fragments.""",
        }, # column
        "ipv6IfStatsReasmFails" : {
            "nodetype" : "column",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.6.1.18",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of failures detected by the IPv6 re-
assembly algorithm (for whatever reason: timed
out, errors, etc.).  Note that this is not
necessarily a count of discarded IPv6 fragments
since some algorithms (notably the algorithm in
RFC 815) can lose track of the number of fragments
by combining them as they are received.
This counter is incremented at the interface to which
these fragments were addressed which might not be
necessarily the input interface for some of the
fragments.""",
        }, # column
        "ipv6IfStatsInMcastPkts" : {
            "nodetype" : "column",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.6.1.19",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of multicast packets received
by the interface""",
        }, # column
        "ipv6IfStatsOutMcastPkts" : {
            "nodetype" : "column",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.6.1.20",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of multicast packets transmitted
by the interface""",
        }, # column
        "ipv6AddrPrefixTable" : {
            "nodetype" : "table",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.7",
            "status" : "current",
            "description" :
                """The list of IPv6 address prefixes of
IPv6 interfaces.""",
        }, # table
        "ipv6AddrPrefixEntry" : {
            "nodetype" : "row",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.7.1",
            "status" : "current",
            "linkage" : [
                "ipv6IfIndex",
                "ipv6AddrPrefix",
                "ipv6AddrPrefixLength",
            ],
            "description" :
                """An interface entry containing objects of
a particular IPv6 address prefix.""",
        }, # row
        "ipv6AddrPrefix" : {
            "nodetype" : "column",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.7.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"IPV6-TC", "name" : "Ipv6AddressPrefix"},
            },
            "access" : "noaccess",
            "description" :
                """The prefix associated with the this interface.""",
        }, # column
        "ipv6AddrPrefixLength" : {
            "nodetype" : "column",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.7.1.2",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "128"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "128"
                    },
                },
            },
            "access" : "noaccess",
            "units" : "bits",
            "description" :
                """The length of the prefix (in bits).""",
        }, # column
        "ipv6AddrPrefixOnLinkFlag" : {
            "nodetype" : "column",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.7.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TruthValue"},
            },
            "access" : "readonly",
            "description" :
                """This object has the value 'true(1)', if this
prefix can be used  for on-link determination
and the value 'false(2)' otherwise.""",
        }, # column
        "ipv6AddrPrefixAutonomousFlag" : {
            "nodetype" : "column",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.7.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TruthValue"},
            },
            "access" : "readonly",
            "description" :
                """Autonomous address configuration flag. When
true(1), indicates that this prefix can be used
for autonomous address configuration (i.e. can
be used to form a local interface address).
If false(2), it is not used to autoconfigure
a local interface address.""",
        }, # column
        "ipv6AddrPrefixAdvPreferredLifetime" : {
            "nodetype" : "column",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.7.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Unsigned32"},
            },
            "access" : "readonly",
            "units" : "seconds",
            "description" :
                """It is the length of time in seconds that this
prefix will remain preferred, i.e. time until
deprecation.  A value of 4,294,967,295 represents
infinity.

The address generated from a deprecated prefix
should no longer be used as a source address in
new communications, but packets received on such
an interface are processed as expected.""",
        }, # column
        "ipv6AddrPrefixAdvValidLifetime" : {
            "nodetype" : "column",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.7.1.6",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Unsigned32"},
            },
            "access" : "readonly",
            "units" : "seconds",
            "description" :
                """It is the length of time in seconds that this
prefix will remain valid, i.e. time until
invalidation.  A value of 4,294,967,295 represents
infinity.

The address generated from an invalidated prefix
should not appear as the destination or source
address of a packet.""",
        }, # column
        "ipv6AddrTable" : {
            "nodetype" : "table",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.8",
            "status" : "current",
            "description" :
                """The table of addressing information relevant to
this node's interface addresses.""",
        }, # table
        "ipv6AddrEntry" : {
            "nodetype" : "row",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.8.1",
            "status" : "current",
            "linkage" : [
                "ipv6IfIndex",
                "ipv6AddrAddress",
            ],
            "description" :
                """The addressing information for one of this
node's interface addresses.""",
        }, # row
        "ipv6AddrAddress" : {
            "nodetype" : "column",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.8.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"IPV6-TC", "name" : "Ipv6Address"},
            },
            "access" : "noaccess",
            "description" :
                """The IPv6 address to which this entry's addressing
information pertains.""",
        }, # column
        "ipv6AddrPfxLength" : {
            "nodetype" : "column",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.8.1.2",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "128"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "128"
                    },
                },
            },
            "access" : "readonly",
            "units" : "bits",
            "description" :
                """The length of the prefix (in bits) associated with
the IPv6 address of this entry.""",
        }, # column
        "ipv6AddrType" : {
            "nodetype" : "column",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.8.1.3",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "stateless" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "stateful" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "unknown" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The type of address. Note that 'stateless(1)'
refers to an address that was statelessly
autoconfigured; 'stateful(2)' refers to a address
which was acquired by via a stateful protocol
(e.g. DHCPv6, manual configuration).""",
        }, # column
        "ipv6AddrAnycastFlag" : {
            "nodetype" : "column",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.8.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TruthValue"},
            },
            "access" : "readonly",
            "description" :
                """This object has the value 'true(1)', if this
address is an anycast address and the value
'false(2)' otherwise.""",
        }, # column
        "ipv6AddrStatus" : {
            "nodetype" : "column",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.8.1.5",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "preferred" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "deprecated" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "invalid" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                    "inaccessible" : {
                        "nodetype" : "namednumber",
                        "number" : "4"
                    },
                    "unknown" : {
                        "nodetype" : "namednumber",
                        "number" : "5"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """Address status.  The preferred(1) state indicates
that this is a valid address that can appear as
the destination or source address of a packet.
The deprecated(2) state indicates that this is
a valid but deprecated address that should no longer
be used as a source address in new communications,
but packets addressed to such an address are
processed as expected. The invalid(3) state indicates
that this is not valid address which should not
appear as the destination or source address of
a packet. The inaccessible(4) state indicates that
the address is not accessible because the interface
to which this address is assigned is not operational.""",
        }, # column
        "ipv6RouteNumber" : {
            "nodetype" : "scalar",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.9",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Gauge32"},
            },
            "access" : "readonly",
            "description" :
                """The number of current ipv6RouteTable entries.
This is primarily to avoid having to read
the table in order to determine this number.""",
        }, # scalar
        "ipv6DiscardedRoutes" : {
            "nodetype" : "scalar",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.10",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of routing entries which were chosen
to be discarded even though they are valid.  One
possible reason for discarding such an entry could
be to free-up buffer space for other routing
entries.""",
        }, # scalar
        "ipv6RouteTable" : {
            "nodetype" : "table",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.11",
            "status" : "current",
            "description" :
                """IPv6 Routing table. This table contains
an entry for each valid IPv6 unicast route
that can be used for packet forwarding
determination.""",
        }, # table
        "ipv6RouteEntry" : {
            "nodetype" : "row",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.11.1",
            "status" : "current",
            "linkage" : [
                "ipv6RouteDest",
                "ipv6RoutePfxLength",
                "ipv6RouteIndex",
            ],
            "description" :
                """A routing entry.""",
        }, # row
        "ipv6RouteDest" : {
            "nodetype" : "column",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.11.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"IPV6-TC", "name" : "Ipv6Address"},
            },
            "access" : "noaccess",
            "description" :
                """The destination IPv6 address of this route.
This object may not take a Multicast address
value.""",
        }, # column
        "ipv6RoutePfxLength" : {
            "nodetype" : "column",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.11.1.2",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "128"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "128"
                    },
                },
            },
            "access" : "noaccess",
            "units" : "bits",
            "description" :
                """Indicates the prefix length of the destination
address.""",
        }, # column
        "ipv6RouteIndex" : {
            "nodetype" : "column",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.11.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Unsigned32"},
            },
            "access" : "noaccess",
            "description" :
                """The value which uniquely identifies the route
among the routes to the same network layer
destination.  The way this value is chosen is
implementation specific but it must be unique for
ipv6RouteDest/ipv6RoutePfxLength pair and remain
constant for the life of the route.""",
        }, # column
        "ipv6RouteIfIndex" : {
            "nodetype" : "column",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.11.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"IPV6-TC", "name" : "Ipv6IfIndexOrZero"},
            },
            "access" : "readonly",
            "description" :
                """The index value which uniquely identifies the local
interface through which the next hop of this
route should be reached.  The interface identified
by a particular value of this index is the same
interface as identified by the same value of
ipv6IfIndex.  For routes of the discard type this
value can be zero.""",
        }, # column
        "ipv6RouteNextHop" : {
            "nodetype" : "column",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.11.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"IPV6-TC", "name" : "Ipv6Address"},
            },
            "access" : "readonly",
            "description" :
                """On remote routes, the address of the next
system en route;  otherwise, ::0
('00000000000000000000000000000000'H in ASN.1
string representation).""",
        }, # column
        "ipv6RouteType" : {
            "nodetype" : "column",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.11.1.6",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "other" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "discard" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "local" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                    "remote" : {
                        "nodetype" : "namednumber",
                        "number" : "4"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The type of route. Note that 'local(3)' refers
to a route for which the next hop is the final
destination; 'remote(4)' refers to a route for
which  the  next  hop is not the final
destination; 'discard(2)' refers to a route
indicating that packets to destinations matching
this route are to be discarded (sometimes called
black-hole route).""",
        }, # column
        "ipv6RouteProtocol" : {
            "nodetype" : "column",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.11.1.7",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "other" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "local" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "netmgmt" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                    "ndisc" : {
                        "nodetype" : "namednumber",
                        "number" : "4"
                    },
                    "rip" : {
                        "nodetype" : "namednumber",
                        "number" : "5"
                    },
                    "ospf" : {
                        "nodetype" : "namednumber",
                        "number" : "6"
                    },
                    "bgp" : {
                        "nodetype" : "namednumber",
                        "number" : "7"
                    },
                    "idrp" : {
                        "nodetype" : "namednumber",
                        "number" : "8"
                    },
                    "igrp" : {
                        "nodetype" : "namednumber",
                        "number" : "9"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The routing mechanism via which this route was
learned.""",
        }, # column
        "ipv6RoutePolicy" : {
            "nodetype" : "column",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.11.1.8",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readonly",
            "description" :
                """The general set of conditions that would cause the
selection of one multipath route (set of next hops
for a given destination) is referred to as 'policy'.
Unless the mechanism indicated by ipv6RouteProtocol
specified otherwise, the policy specifier is the
8-bit Traffic Class field of the IPv6 packet header
that is zero extended at the left to a 32-bit value.

Protocols defining 'policy' otherwise must either
define a set of values which are valid for
this object or must implement an integer-
instanced  policy table for which this object's
value acts as an index.""",
        }, # column
        "ipv6RouteAge" : {
            "nodetype" : "column",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.11.1.9",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Unsigned32"},
            },
            "access" : "readonly",
            "units" : "seconds",
            "description" :
                """The number of seconds since this route was last
updated or otherwise determined to be correct.
Note that no semantics of `too old' can be implied
except through knowledge of the routing protocol
by which the route was learned.""",
        }, # column
        "ipv6RouteNextHopRDI" : {
            "nodetype" : "column",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.11.1.10",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Unsigned32"},
            },
            "access" : "readonly",
            "description" :
                """The Routing Domain ID of the Next Hop.
The  semantics of this object are determined by
the routing-protocol specified in  the  route's
ipv6RouteProtocol value.   When  this object is
unknown or not relevant its value should be set
to zero.""",
        }, # column
        "ipv6RouteMetric" : {
            "nodetype" : "column",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.11.1.11",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Unsigned32"},
            },
            "access" : "readonly",
            "description" :
                """The routing metric for this route. The
semantics of this metric are determined by the
routing protocol specified in the route's
ipv6RouteProtocol value.  When this is unknown
or not relevant to the protocol indicated by
ipv6RouteProtocol, the object value should be
set to its maximum value (4,294,967,295).""",
        }, # column
        "ipv6RouteWeight" : {
            "nodetype" : "column",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.11.1.12",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Unsigned32"},
            },
            "access" : "readonly",
            "description" :
                """The system internal weight value for this route.
The semantics of this value are determined by
the implementation specific rules. Generally,
within routes with the same ipv6RoutePolicy value,
the lower the weight value the more preferred is
the route.""",
        }, # column
        "ipv6RouteInfo" : {
            "nodetype" : "column",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.11.1.13",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "RowPointer"},
            },
            "access" : "readonly",
            "description" :
                """A reference to MIB definitions specific to the
particular routing protocol which is responsible
for this route, as determined by the  value
specified  in the route's ipv6RouteProto value.
If this information is not present,  its  value
should be set to the OBJECT ID { 0 0 },
which is a syntactically valid object  identifier,
and any implementation conforming to ASN.1
and the Basic Encoding Rules must  be  able  to
generate and recognize this value.""",
        }, # column
        "ipv6RouteValid" : {
            "nodetype" : "column",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.11.1.14",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TruthValue"},
            },
            "access" : "readwrite",
            "default" : "true",
            "description" :
                """Setting this object to the value 'false(2)' has
the effect of invalidating the corresponding entry
in the ipv6RouteTable object.  That is, it
effectively disassociates the destination
identified with said entry from the route
identified with said entry.  It is an
implementation-specific matter as to whether the
agent removes an invalidated entry from the table.
Accordingly, management stations must be prepared
to receive tabular information from agents that
corresponds to entries not currently in use.
Proper interpretation of such entries requires
examination of the relevant ipv6RouteValid
object.""",
        }, # column
        "ipv6NetToMediaTable" : {
            "nodetype" : "table",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.12",
            "status" : "current",
            "description" :
                """The IPv6 Address Translation table used for
mapping from IPv6 addresses to physical addresses.

The IPv6 address translation table contain the
Ipv6Address to `physical' address equivalencies.
Some interfaces do not use translation tables
for determining address equivalencies; if all
interfaces are of this type, then the Address
Translation table is empty, i.e., has zero
entries.""",
        }, # table
        "ipv6NetToMediaEntry" : {
            "nodetype" : "row",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.12.1",
            "status" : "current",
            "linkage" : [
                "ipv6IfIndex",
                "ipv6NetToMediaNetAddress",
            ],
            "description" :
                """Each entry contains one IPv6 address to `physical'
address equivalence.""",
        }, # row
        "ipv6NetToMediaNetAddress" : {
            "nodetype" : "column",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.12.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"IPV6-TC", "name" : "Ipv6Address"},
            },
            "access" : "noaccess",
            "description" :
                """The IPv6 Address corresponding to
the media-dependent `physical' address.""",
        }, # column
        "ipv6NetToMediaPhysAddress" : {
            "nodetype" : "column",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.12.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "PhysAddress"},
            },
            "access" : "readonly",
            "description" :
                """The media-dependent `physical' address.""",
        }, # column
        "ipv6NetToMediaType" : {
            "nodetype" : "column",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.12.1.3",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "other" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "dynamic" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "static" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                    "local" : {
                        "nodetype" : "namednumber",
                        "number" : "4"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The type of the mapping. The 'dynamic(2)' type
indicates that the IPv6 address to physical
addresses mapping has been dynamically
resolved using the IPv6 Neighbor Discovery
protocol. The static(3)' types indicates that
the mapping has been statically configured.
The local(4) indicates that the mapping is
provided for an entity's own interface address.""",
        }, # column
        "ipv6IfNetToMediaState" : {
            "nodetype" : "column",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.12.1.4",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "reachable" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "stale" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "delay" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                    "probe" : {
                        "nodetype" : "namednumber",
                        "number" : "4"
                    },
                    "invalid" : {
                        "nodetype" : "namednumber",
                        "number" : "5"
                    },
                    "unknown" : {
                        "nodetype" : "namednumber",
                        "number" : "6"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The Neighbor Unreachability Detection [8] state
for the interface when the address mapping in
this entry is used.""",
        }, # column
        "ipv6IfNetToMediaLastUpdated" : {
            "nodetype" : "column",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.12.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TimeStamp"},
            },
            "access" : "readonly",
            "description" :
                """The value of sysUpTime at the time this entry
was last updated.  If this entry was updated prior
to the last re-initialization of the local network
management subsystem, then this object contains
a zero value.""",
        }, # column
        "ipv6NetToMediaValid" : {
            "nodetype" : "column",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.1.12.1.6",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TruthValue"},
            },
            "access" : "readwrite",
            "default" : "true",
            "description" :
                """Setting this object to the value 'false(2)' has
the effect of invalidating the corresponding entry
in the ipv6NetToMediaTable.  That is, it effectively
disassociates the interface identified with said
entry from the mapping identified with said entry.
It is an implementation-specific matter as to
whether the agent removes an invalidated entry
from the table.  Accordingly, management stations
must be prepared to receive tabular information
from agents that corresponds to entries not
currently in use.  Proper interpretation of such
entries requires examination of the relevant
ipv6NetToMediaValid object.""",
        }, # column
        "ipv6Notifications" : {
            "nodetype" : "node",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.2",
        }, # node
        "ipv6NotificationPrefix" : {
            "nodetype" : "node",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.2.0",
        }, # node
        "ipv6Conformance" : {
            "nodetype" : "node",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.3",
        }, # node
        "ipv6Compliances" : {
            "nodetype" : "node",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.3.1",
        }, # node
        "ipv6Groups" : {
            "nodetype" : "node",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.3.2",
        }, # node
    }, # nodes

    "notifications" : {
        "ipv6IfStateChange" : {
            "nodetype" : "notification",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.2.0.1",
            "status" : "current",
            "objects" : {
                "ipv6IfDescr" : {
                    "nodetype" : "object",
                    "module" : "IPV6-MIB"
                },
                "ipv6IfOperStatus" : {
                    "nodetype" : "object",
                    "module" : "IPV6-MIB"
                },
            },
            "description" :
                """An ipv6IfStateChange notification signifies
that there has been a change in the state of
an ipv6 interface.  This notification should
be generated when the interface's operational
status transitions to or from the up(1) state.""",
        }, # notification
    }, # notifications

    "groups" : {
        "ipv6GeneralGroup" : {
            "nodetype" : "group",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.3.2.1",
            "status" : "current",
            "members" : {
                "ipv6Forwarding" : {
                    "nodetype" : "member",
                    "module" : "IPV6-MIB"
                },
                "ipv6DefaultHopLimit" : {
                    "nodetype" : "member",
                    "module" : "IPV6-MIB"
                },
                "ipv6Interfaces" : {
                    "nodetype" : "member",
                    "module" : "IPV6-MIB"
                },
                "ipv6IfTableLastChange" : {
                    "nodetype" : "member",
                    "module" : "IPV6-MIB"
                },
                "ipv6IfDescr" : {
                    "nodetype" : "member",
                    "module" : "IPV6-MIB"
                },
                "ipv6IfLowerLayer" : {
                    "nodetype" : "member",
                    "module" : "IPV6-MIB"
                },
                "ipv6IfEffectiveMtu" : {
                    "nodetype" : "member",
                    "module" : "IPV6-MIB"
                },
                "ipv6IfReasmMaxSize" : {
                    "nodetype" : "member",
                    "module" : "IPV6-MIB"
                },
                "ipv6IfIdentifier" : {
                    "nodetype" : "member",
                    "module" : "IPV6-MIB"
                },
                "ipv6IfIdentifierLength" : {
                    "nodetype" : "member",
                    "module" : "IPV6-MIB"
                },
                "ipv6IfPhysicalAddress" : {
                    "nodetype" : "member",
                    "module" : "IPV6-MIB"
                },
                "ipv6IfAdminStatus" : {
                    "nodetype" : "member",
                    "module" : "IPV6-MIB"
                },
                "ipv6IfOperStatus" : {
                    "nodetype" : "member",
                    "module" : "IPV6-MIB"
                },
                "ipv6IfLastChange" : {
                    "nodetype" : "member",
                    "module" : "IPV6-MIB"
                },
                "ipv6IfStatsInReceives" : {
                    "nodetype" : "member",
                    "module" : "IPV6-MIB"
                },
                "ipv6IfStatsInHdrErrors" : {
                    "nodetype" : "member",
                    "module" : "IPV6-MIB"
                },
                "ipv6IfStatsInTooBigErrors" : {
                    "nodetype" : "member",
                    "module" : "IPV6-MIB"
                },
                "ipv6IfStatsInNoRoutes" : {
                    "nodetype" : "member",
                    "module" : "IPV6-MIB"
                },
                "ipv6IfStatsInAddrErrors" : {
                    "nodetype" : "member",
                    "module" : "IPV6-MIB"
                },
                "ipv6IfStatsInUnknownProtos" : {
                    "nodetype" : "member",
                    "module" : "IPV6-MIB"
                },
                "ipv6IfStatsInTruncatedPkts" : {
                    "nodetype" : "member",
                    "module" : "IPV6-MIB"
                },
                "ipv6IfStatsInDiscards" : {
                    "nodetype" : "member",
                    "module" : "IPV6-MIB"
                },
                "ipv6IfStatsInDelivers" : {
                    "nodetype" : "member",
                    "module" : "IPV6-MIB"
                },
                "ipv6IfStatsOutForwDatagrams" : {
                    "nodetype" : "member",
                    "module" : "IPV6-MIB"
                },
                "ipv6IfStatsOutRequests" : {
                    "nodetype" : "member",
                    "module" : "IPV6-MIB"
                },
                "ipv6IfStatsOutDiscards" : {
                    "nodetype" : "member",
                    "module" : "IPV6-MIB"
                },
                "ipv6IfStatsOutFragOKs" : {
                    "nodetype" : "member",
                    "module" : "IPV6-MIB"
                },
                "ipv6IfStatsOutFragFails" : {
                    "nodetype" : "member",
                    "module" : "IPV6-MIB"
                },
                "ipv6IfStatsOutFragCreates" : {
                    "nodetype" : "member",
                    "module" : "IPV6-MIB"
                },
                "ipv6IfStatsReasmReqds" : {
                    "nodetype" : "member",
                    "module" : "IPV6-MIB"
                },
                "ipv6IfStatsReasmOKs" : {
                    "nodetype" : "member",
                    "module" : "IPV6-MIB"
                },
                "ipv6IfStatsReasmFails" : {
                    "nodetype" : "member",
                    "module" : "IPV6-MIB"
                },
                "ipv6IfStatsInMcastPkts" : {
                    "nodetype" : "member",
                    "module" : "IPV6-MIB"
                },
                "ipv6IfStatsOutMcastPkts" : {
                    "nodetype" : "member",
                    "module" : "IPV6-MIB"
                },
                "ipv6AddrPrefixOnLinkFlag" : {
                    "nodetype" : "member",
                    "module" : "IPV6-MIB"
                },
                "ipv6AddrPrefixAutonomousFlag" : {
                    "nodetype" : "member",
                    "module" : "IPV6-MIB"
                },
                "ipv6AddrPrefixAdvPreferredLifetime" : {
                    "nodetype" : "member",
                    "module" : "IPV6-MIB"
                },
                "ipv6AddrPrefixAdvValidLifetime" : {
                    "nodetype" : "member",
                    "module" : "IPV6-MIB"
                },
                "ipv6AddrPfxLength" : {
                    "nodetype" : "member",
                    "module" : "IPV6-MIB"
                },
                "ipv6AddrType" : {
                    "nodetype" : "member",
                    "module" : "IPV6-MIB"
                },
                "ipv6AddrAnycastFlag" : {
                    "nodetype" : "member",
                    "module" : "IPV6-MIB"
                },
                "ipv6AddrStatus" : {
                    "nodetype" : "member",
                    "module" : "IPV6-MIB"
                },
                "ipv6RouteNumber" : {
                    "nodetype" : "member",
                    "module" : "IPV6-MIB"
                },
                "ipv6DiscardedRoutes" : {
                    "nodetype" : "member",
                    "module" : "IPV6-MIB"
                },
                "ipv6RouteIfIndex" : {
                    "nodetype" : "member",
                    "module" : "IPV6-MIB"
                },
                "ipv6RouteNextHop" : {
                    "nodetype" : "member",
                    "module" : "IPV6-MIB"
                },
                "ipv6RouteType" : {
                    "nodetype" : "member",
                    "module" : "IPV6-MIB"
                },
                "ipv6RouteProtocol" : {
                    "nodetype" : "member",
                    "module" : "IPV6-MIB"
                },
                "ipv6RoutePolicy" : {
                    "nodetype" : "member",
                    "module" : "IPV6-MIB"
                },
                "ipv6RouteAge" : {
                    "nodetype" : "member",
                    "module" : "IPV6-MIB"
                },
                "ipv6RouteNextHopRDI" : {
                    "nodetype" : "member",
                    "module" : "IPV6-MIB"
                },
                "ipv6RouteMetric" : {
                    "nodetype" : "member",
                    "module" : "IPV6-MIB"
                },
                "ipv6RouteWeight" : {
                    "nodetype" : "member",
                    "module" : "IPV6-MIB"
                },
                "ipv6RouteInfo" : {
                    "nodetype" : "member",
                    "module" : "IPV6-MIB"
                },
                "ipv6RouteValid" : {
                    "nodetype" : "member",
                    "module" : "IPV6-MIB"
                },
                "ipv6NetToMediaPhysAddress" : {
                    "nodetype" : "member",
                    "module" : "IPV6-MIB"
                },
                "ipv6NetToMediaType" : {
                    "nodetype" : "member",
                    "module" : "IPV6-MIB"
                },
                "ipv6IfNetToMediaState" : {
                    "nodetype" : "member",
                    "module" : "IPV6-MIB"
                },
                "ipv6IfNetToMediaLastUpdated" : {
                    "nodetype" : "member",
                    "module" : "IPV6-MIB"
                },
                "ipv6NetToMediaValid" : {
                    "nodetype" : "member",
                    "module" : "IPV6-MIB"
                },
            }, # members
            "description" :
                """The IPv6 group of objects providing for basic
management of IPv6 entities.""",
        }, # group
        "ipv6NotificationGroup" : {
            "nodetype" : "group",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.3.2.2",
            "status" : "current",
            "members" : {
                "ipv6IfStateChange" : {
                    "nodetype" : "member",
                    "module" : "IPV6-MIB"
                },
            }, # members
            "description" :
                """The notification that an IPv6 entity is required
to implement.""",
        }, # group
    }, # groups

    "compliances" : {
        "ipv6Compliance" : {
            "nodetype" : "compliance",
            "moduleName" : "IPV6-MIB",
            "oid" : "1.3.6.1.2.1.55.3.1.1",
            "status" : "current",
            "description" :
                """The compliance statement for SNMPv2 entities which
implement ipv6 MIB.""",
            "requires" : {
                "ipv6GeneralGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "IPV6-MIB"
                },
                "ipv6NotificationGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "IPV6-MIB"
                },
            }, # requires
            "refinements" : {
                "ipv6Forwarding" : {
                    "module" : "IPV6-MIB",
                    "access" : "readonly",
                    "description" :
                        """An agent is not required to provide write
access to this object""",
                },
                "ipv6DefaultHopLimit" : {
                    "module" : "IPV6-MIB",
                    "access" : "readonly",
                    "description" :
                        """An agent is not required to provide write
access to this object""",
                },
                "ipv6IfDescr" : {
                    "module" : "IPV6-MIB",
                    "access" : "readonly",
                    "description" :
                        """An agent is not required to provide write
access to this object""",
                },
                "ipv6IfIdentifier" : {
                    "module" : "IPV6-MIB",
                    "access" : "readonly",
                    "description" :
                        """An agent is not required to provide write
access to this object""",
                },
                "ipv6IfIdentifierLength" : {
                    "module" : "IPV6-MIB",
                    "access" : "readonly",
                    "description" :
                        """An agent is not required to provide write
access to this object""",
                },
                "ipv6IfAdminStatus" : {
                    "module" : "IPV6-MIB",
                    "access" : "readonly",
                    "description" :
                        """An agent is not required to provide write
access to this object""",
                },
                "ipv6RouteValid" : {
                    "module" : "IPV6-MIB",
                    "access" : "readonly",
                    "description" :
                        """An agent is not required to provide write
access to this object""",
                },
                "ipv6NetToMediaValid" : {
                    "module" : "IPV6-MIB",
                    "access" : "readonly",
                    "description" :
                        """An agent is not required to provide write
access to this object""",
                },
            }, # refinements

        }, # compliance
    }, # compliances

}
